synaptic (0.84.3linuxmint3+tricia) tricia; urgency=medium

  [ JosephMcc ]
  * dialog_conffile.ui: Properly expand a scrolled window (#17)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 29 Nov 2019 18:34:22 +0000

synaptic (0.84.3linuxmint2) tricia; urgency=medium

  [ JosephMcc ]
  * error-dialogs: Fix the default height (#16)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2019 17:29:40 +0000

synaptic (0.84.3linuxmint1) tara; urgency=medium

  * Don't show upgrade features
  * Add support for window-progress
  * Added patches for Linux Mint and build server (which runs Debian)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 May 2018 11:24:10 +0100

synaptic (0.84.3ubuntu1) bionic; urgency=medium

  * No change rebuild for launchpad translations import

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Mar 2018 17:25:28 +0200

synaptic (0.84.3) unstable; urgency=medium

  [ gogogogi ]
  * Update Synaptic version

  [ Jose A. Múrcia ]
  * Update ca@valencia.po

  [ hugo ]
  * Fixed a small inconsistency in fr.po

  [ Michael Vogt ]
  * fix user-mode synaptic to not crash under wayland
  * add some more things to gitignore

  [ Brahim Djoudi ]
  * Removal of empty declarations

  [ Olivier Humbert ]
  * Update the French translation
  * Update fr.po

  [ AsciiWolf ]
  * Update Czech translation

  [ Gunnar Hjalmarsson ]
  * Fix missing closing b tag in german translation
  * Strip translations in Ubuntu
  * Reverse fix of do missing closing b tag in po.de

  [ Tobias Bannert ]
  * Updated german translation

 -- Michael Vogt <mvo@ubuntu.com>  Sun, 18 Mar 2018 21:50:39 +0100

synaptic (0.84.2) unstable; urgency=medium

  [ Simon McVittie ]
  * Depend on policykit-1 instead of recommending
    gksu|kdebase-bin|policykit-1. data/synaptic.desktop.in and
    debian/synaptic.menu both use debian/synaptic-pkexec, which
    unconditionally runs pkexec. (Closes: #856520)
  * Pushing the recommendation up to a Depends ensures that the menu entry
    can in fact be launched (Closes: #415408)

 -- Michael Vogt <mvo@debian.org>  Thu, 09 Mar 2017 16:28:15 +0100

synaptic (0.84.1) unstable; urgency=medium

  [ Vadim Kalmakov ]
  * updated ru.po translation

  [ Michael Vogt ]
  * revert back to use http for changelogs
    (thanks to Viktor Jägersküpper)

 -- Michael Vogt <mvo@debian.org>  Fri, 06 Jan 2017 22:22:49 +0100

synaptic (0.84) unstable; urgency=medium

  [ Michael Vogt ]
  * Fix build with gcc6.
    Thanks to Martin Michlmayer (Closes: #811857)
  * Use GtkSearchEntry widget for the quick-filter
  * Fix polish translation of 'Newsgroups' (Closes: 810152)
  * po/sv.po: updated Swedish translation.
    Thanks to Anders Jonsson (Closes: 793597)

  [ muzena ]
  * Make croatian manual, translate hr.po... 

  [ rezso ]
  * Update Hungarian translation

  [ Jonathan ]
  * Use https instead of http for links
  * Fixed typos and conventions

  [ devel ]
  * Added treeview-fetch expand to windows_fetch.ui.
  * Fix "99synaptic" path using FindDir.

  [ Antonio Cebrián ]
  * Fixed typo in path

  [ Phil Miller ]
  * Set debconf/apt-listchanges to gtk in terminal frontend (Closes: #422427)

  [ Sergey Alyoshin ]
  * Add "Visit Homepage" tooltip to translation (Closes: #701666)
  * Updated Russian man-page (Closes: #721378)

  [ Josh Triplett ]
  * Add sections for Rust and JavaScript

  [ Anders Jonsson ]
  * [intl:SV] updated Swedish translation (closes: #793597)

 -- Michael Vogt <mvo@debian.org>  Thu, 05 Jan 2017 11:33:54 +0100

synaptic (0.83) unstable; urgency=medium

  [ xuzhen ]
  * drop the deprecated GtkHandleBox
  * port from deprecated GtkHPaned/GtkVPaned to GtkPaned
  * port from deprecated GtkHButtonBox/GtkVButtonBox to GtkButtonBox
  * port from deprecated GtkHSeparator to GtkSeparator
  * drop the deprecated gtk_widget_modify_bg() & gtk_widget_get_style()
  * get rid of the deprecated gtk_widget_modify_font()
  * fix warnings: deprecated conversion from string constant to char*
  * fix warnings: format not a string literal and no format arguments
  * get rid of the deprecated gtk_widget_modify_base()
  * port from deprecated GtkImageMenuItem to GtkMenuItem
  * fix Xwindow id data type
  * get rid of the deprecated GtkStock in GtkBuilder UI definitions
  * fix warning: too many arguments for format
  * remove an unused parameter
  * fix attribute name for GdkRGBA
  * fix toolbar wrapper box name
  * requires gtk3 explicitly
  * fix toolbar style bug

 -- Michael Vogt <mvo@debian.org>  Mon, 11 Jan 2016 10:20:03 +0100

synaptic (0.82.5) unstable; urgency=medium

  [ xuzhen ]
  * port from deprecated GdkColor to GdkRGBA
  * port from deprecated GtkFontSelectionDialog to GtkFontChooserDialog
  * get rid of the deprecated gtk_tree_view_set_rules_hint()
  * port from deprecated gdk_cursor_new() to gdk_cursor_new_for_display()
  * port from deprecated GtkHBox/GtkVBox to GtkBox
  * port from deprecated gtk_vscrollbar_new() to gtk_scrollbar_new()
  * get rid of the deprecated GtkStock

 -- Michael Vogt <mvo@debian.org>  Sun, 13 Dec 2015 10:46:17 +0100

synaptic (0.82.4) unstable; urgency=medium

  * add missing -lX11

 -- Michael Vogt <mvo@debian.org>  Mon, 07 Dec 2015 15:19:57 +0100

synaptic (0.82.3) unstable; urgency=medium

  * fix missing updated build-depends against libvte-2.91, thanks
    to Emilio Pozuelo Monfort

 -- Michael Vogt <mvo@debian.org>  Mon, 07 Dec 2015 11:31:47 +0100

synaptic (0.82.1) unstable; urgency=medium

  [ Michael Vogt ]
  * Updated fr.po translation.
    Thanks to Olivier Humbert (Closes: #804870)
  * Port to vte 2.91.
    Thanks to Egmont Koblinger (Closes: 788026)

  [ xuzhen ]
  * Fix empty history window (Closes: #798884)

 -- Michael Vogt <mvo@debian.org>  Fri, 04 Dec 2015 23:03:43 +0100

synaptic (0.82) unstable; urgency=medium

  [ Michael Vogt ]
  * Add xdg-utils to the recommends (Closes: #791375)
  * Fix bulding with apt from experimental
  * Fix missing _parentWindow setup in RGUserDialog::RGUserDialog(parent*)
  * Set all dialog_*.ui to "visible=False" so that
    gtk_window_set_transient_for() works
  * Set all window_*.ui top-level windows to "visible=False" s that
    gtk_window_set_transient_for() works

  [ HumanG33k ]
  * Upgrade deprecated gtk elements in:
    dialog_auth[...].ui, dialog_changelog.ui,
    dialog_change_version, dialog_columns.ui,
    dialog_conffile.ui, dialog_disc_label.ui,
    dialog_download_error.ui,  dialog_example.ui,
    dialog_new_repositroy.ui, dialog_quit.ui,
    dialog_task_descr.ui, dialog_unmet.ui,
    dialog_update_failed.ui, dialog_update_outdated.ui,
    dialog_upgrade.ui, dialog_welcome.ui

 -- Michael Vogt <mvo@debian.org>  Thu, 15 Oct 2015 20:58:42 +0200

synaptic (0.81.4) unstable; urgency=medium

  [ Michael Vogt ]
  * gtk/gtkbuilder/window_setopt.ui, gtk/gtkbuilder/dialog_download_error.ui:
    - fix crash in internal dialog because gtk decided to not load the file
      when it encounters the previously valid property "has_separator"
      (closes: #774056)
  * move code to git

  [ Gianni Lerro ]
  * Add to "Quick filter" text entry a button to clean it (Closes: #791749)

 -- Michael Vogt <mvo@debian.org>  Sat, 11 Jul 2015 12:01:12 +0200

synaptic (0.81.3) unstable; urgency=low

  [ Alex Henrie ]
  * lp:~alexhenrie24/synaptic/synaptic:
     - fix expand in the properties window
  
  [ Gabor Kelemen ]
  * lp:~kelemeng/synaptic/bug1327956:
    - fix proxy auth config (LP: #1327956)

  [ lp:~rohangarg/synaptic/bug1375786 ]
  - use the synaptic-pkexec in kde as well (LP: #1375786)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Jan 2015 14:35:21 +0100

synaptic (0.81.2) unstable; urgency=low

  * po/fr.po:
    - string fix (closes: #743771), thanks to Ghent
  * gtk/rgmainwindow.cc:
    - fix rendering corruption after quick filter search (closes: #747566)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 May 2014 08:16:23 +0200

synaptic (0.81.1) unstable; urgency=low

  * do not crash when xapian search is triggered by view is not
    fully ready (closes: #741154)
  * add iceweasel as fallback if xdg-open fails (closes: #742166)
  * po/pl.po:
    - updated, thanks to Emil Nowak 
  * gtk/rgrepositorywin.cc:
    - do not crash when a sources.list entry is removed (closes: #720605)
  * gtk/rgfiltermanager.cc:
    - do not change topmost filter when reopening filter settings
      (closes: #724709)
    - fix copy constructor to avoid incorrect reading of the
      and/or mode value (closes: #724709)
    - fix memory leak in filter copy/restore

 -- Michael Vogt <mvo@debian.org>  Wed, 26 Mar 2014 07:38:14 +0100

synaptic (0.81) unstable; urgency=low

  [ Jonathan Dowland ]
  * Support parallel building.
  
  [ Luke Drummond ]
  * fix crash when no SUDO_USER is set (closes: #725885, #728714)

  [ Hans Joachim Desserud ]
  * lp:~hjd/synaptic/bug1242219: 
    fix "Untranslatable '_Contents' string in help menu (LP: #1242219)
  
  [ Rafaël Carré ]
  * po/fr.po:
    - fix typo in "%d packages will be upgraded\n" string
  
  [ Igor Pashev ]
  * portability fixes for rindex/bzero/fcntl (closes: #734473)
    to make it build on "dyson"
  
  [ Michael Vogt ]
  * replace rindex() with strrchr() (thanks to Igor Pashev for the
    suggestion)
  * change refreshTable() code to avoid "jumping" around on the 
    screen when a package gets marked
  
 -- Michael Vogt <mvo@debian.org>  Tue, 18 Mar 2014 21:02:46 +0100

synaptic (0.80.4) unstable; urgency=low

  * gtk/rgdebinstallprogress.cc:
    - add workaround for vte terminal not resizing to 80x24,
      thanks to Filipus Klutier (closes: #710030)
  * gtk/rgterminstallprogress.cc:
    - force terminal size to 80x24 (closes: #710030)

 -- Michael Vogt <mvo@debian.org>  Sat, 14 Sep 2013 13:31:10 +0200

synaptic (0.80.3) unstable; urgency=low

  * gtk/rgmainwindow.cc, gtk/gtkbuilder/window_main.ui:
    - workaround "Gtk-WARNING **: GtkNotebook 0x998580 is mapped but visible 
      child GtkLabel 0x9ac140 is not mapped" by setting "show_tabs=True" in
      the GtkBuilder file and then setting it in buildInterface() again
      (closes: #721539)
    - fix warning" Gtk-CRITICAL **: gtk_tree_row_reference_new_proxy:
      assertion `path->depth > 0' failed" (closes: #721539)
  * gtk/rgpreferenceswindow.{cc,h}:
    - make button colored in the preferencess window again, this broke 
      because gtk3 and gtk_widget_override_background() does not work
      (see gtk bug https://bugzilla.gnome.org/show_bug.cgi?id=656461)

 -- Michael Vogt <mvo@debian.org>  Tue, 10 Sep 2013 11:24:31 +0200

synaptic (0.80.2) unstable; urgency=low

  * gtk/gtkbuilder/window_repositories.ui:
    - fix overly big combobox for repo type
  * gtk/rgrepositorywin.cc:
    - fix display of repository sections (closes: #709351)
    - fix bug caused by no longer supported vendor id support

 -- Michael Vogt <mvo@debian.org>  Sun, 26 May 2013 10:07:40 +0200

synaptic (0.80.1) unstable; urgency=low

  * fix default distribution combo box (closes: #707544)

 -- Michael Vogt <mvo@debian.org>  Wed, 22 May 2013 18:15:11 +0200

synaptic (0.80) unstable; urgency=low

  * update translations from launchpad

 -- Michael Vogt <mvo@debian.org>  Wed, 08 May 2013 21:11:11 +0200

synaptic (0.80~exp2raring1) raring-proposed; urgency=low

  * po/nb.po: cherry-pick some strings from Launchpad to fix crash
    (LP: #880493)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 29 Apr 2013 18:46:32 +0400

synaptic (0.80~exp2) experimental; urgency=low

  [ Robert Roth ]
  * merged lp: ~bkerensa/synaptic/fix-for-1153409
    thanks to Benjamin Kerensa:
      - Fix Typo
      - Add Homepage Field to debian/control

  [ Michael Vogt ]
  * po/de.po:
    - fix typo, thanks to Zac Diggum 
  
  [ Patrik Lundquist ]
  * common/rpackage.cc:
    - fix crash when srcPackage does not have a version
      (LP: #1097532)

 -- Michael Vogt <mvo@debian.org>  Thu, 18 Apr 2013 20:05:02 +0200

synaptic (0.80~exp1) experimental; urgency=low

  [ Robert Roth ]
  * Disables typeahead in summary dialog, as it doesn't do anything, 
    so it's unnecesary (LP: #24319)
  * Move up and Move down buttons in columns preferences changed to 
    respect buttons_have_icons preference (LP: #66574)
  * Set the title of the package properties dialog opened for the first 
    time (it has not been set before, so it was synaptic the first time 
    the dialog has been opened) (LP: #932495)
  * Added a reload button to the repositories changed dialog (LP: #78987)
  * Updated the wording of the expander on the download progress dialog to 
    Show individual files" instead of "Show for individual files"
    (LP: #301428)
  * Fixed inconsistencies between column namings in column headers and 
    column visibility preferences (LP: #335723)
  * Linkified maintainer label in the package properties dialog 
    when running as non-root (LP: #321380)
  * Added package name in the warning scaring you about breaking your 
    system (LP: #63974)
  * Added name of the application (Synaptic Package Manager) in the 
    titleless dialog shown when starting without administrative 
    privilegess (LP: #510261)
  * Improved filter editing checkbox tooltips (LP: #790420)
  * Made all the property values from the package properties dialog 
    selectable (LP: #173464)
  * Changed Package Properties accelerator from Ctrl+O to widely used 
    (nautilus, eog, evince etc) Alt+Enter (LP: #933554)
  * Use the synaptic icon from the user's icon theme, or fall back to
    the old one if the current theme does not provide a synaptic icon
    (LP: #153755)
  * Focus the Apply button by default. (LP: #488718)
  * Removed log message from automatically installed item click
    (LP: #883984)
  * Fixed delete filter button not working caused by a typo in the
    name of the button when getting it from the GtkBuilder object 
    (LP: #779756)
  * Added suggests tasksel as with tasksel installed synaptic
    provides additional functionality (LP: #605186)
  * Fixes incorrect radiobutton handling in the proxy preferences
    (LP: #706262)
  * Fixed incorrect status message when canceling 'Mark all available 
    upgrades' feedback dialog (LP: #975578)
  
  [ Michael Vogt ]
  * ensure external helpers are runs as the user uid
  * build for gtk3 and update build-depends
  * move software-propoerties-gtk into suggests
  * strip strings properly in a markings file, thanks to
    Vassilis Palassopoulos (palasso) 
  * show source package name in the details (closes: #692528)
  * merged lp:~fitoschido/synaptic/es-redundancy:
    - Remove empty es_ES .po files. Spanish translations are already 
      provided in es files. Thanks to Adolfo Jayme Barrientos (fitoschido)
  * common/rpackagelister.cc:
    - add support for complete removal (purge) in the markings file

 -- Michael Vogt <mvo@debian.org>  Thu, 13 Dec 2012 10:08:37 +0100

synaptic (0.75.14) UNRELEASED; urgency=low

  * po/fr.po:
    - fix wrong translation, thanks to Laurent Bigonville,
      closes: #594215

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Mar 2013 07:46:02 +0100

synaptic (0.75.13) unstable; urgency=low

  * debian/synaptic.menu:
    - use x-terminal-emulator -e synaptic-pkexec to support systems
      that do not have a GUI policykit agent running (closes: #678847)
  * include all origins in the origin filter not just the first one
  * show all "archives" in the origins view even if they are "shadowed"
    by another one

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Jul 2012 21:14:23 +0200

synaptic (0.75.12) unstable; urgency=low

  * updated Telugu translation, thanks to  Praveen Illa
  * Fix  "Enter on keypad cannot work with Find dialog" (closes: #673804),
    thanks to YunQiang Su
  * po/de.po:
    - fix incorrect translation of breaks (closes: #622752)
  * use synaptic-pkexec in debian as well and remove from the
    Ubuntu patch set (closes: #674071)
  * debian/patches/03_hide_browse_documentation.dpatch:
    - removed, not worth the delta
  * common/sections_trans.cc:
    - make "Tasks" translatable, thanks to Sergey Alyoshin
      (closes: #675862)
  * po/ru.po:
    - updated russian translation, thanks to Sergey Alyoshin
      (closes: #675859)

 -- Michael Vogt <mvo@debian.org>  Mon, 11 Jun 2012 17:49:09 +0200

synaptic (0.75.11) unstable; urgency=low

  [  Sergey Alyoshin ]
  * Fix some compiler warnings, closes: #672919
  * Fix missing Help/Contents localization, closes: #670961
  
  [ Michael Vogt ]
  * add "ctrl-l" accelerator key for downloading the changelog,
    closes: #388250
  * merge patch from Carsten Hey to support multiarch deborphan,
    closes: #670542
  * only try to apply distro specific patches if there are any,
    thanks to  Moritz Muehlenhoff, closes: #626257

 -- Michael Vogt <mvo@debian.org>  Mon, 21 May 2012 13:52:30 +0200

synaptic (0.75.10) unstable; urgency=low

  * rebuild with multiarch support
  * debian/control:
    - remove X-Ubuntu-Use-Langpack again
    - update build-dependencies for libapt-pkg-dev

 -- Michael Vogt <mvo@debian.org>  Mon, 16 Apr 2012 21:17:14 +0200

synaptic (0.75.9) unstable; urgency=low

  * generate synaptic.pot during the package build to really enable
    langpack support

 -- Michael Vogt <mvo@debian.org>  Tue, 03 Apr 2012 09:45:48 +0200

synaptic (0.75.8) unstable; urgency=low

  * debian/control:
    - add X-Ubuntu-Use-Langpack to enable langpack support
  * debian/rules:
    - run dh_translations if available, this will enable langpack
      support
  * po/*.po, configure.in:
    - refresh translations from LP and update ALL_LINGUAS to match
      the new translations (LP: #889351)

 -- Michael Vogt <mvo@debian.org>  Mon, 02 Apr 2012 11:26:34 +0200

synaptic (0.75.7) unstable; urgency=low

  * common/rpackage.cc:
    - fix reading multiarch file list (LP: #960250)

 -- Michael Vogt <mvo@debian.org>  Tue, 27 Mar 2012 16:14:46 +0200

synaptic (0.75.6) unstable; urgency=low

  * fix segfault for packages without VerFile attribute, thanks to
    Hans-Georg Bork, closes: #663016

 -- Michael Vogt <mvo@debian.org>  Mon, 12 Mar 2012 22:08:32 +0100

synaptic (0.75.5) unstable; urgency=low

  * common/rpackagelister.cc:
    - simplify openCache() code to use more modern std::vector features
      and fix crash along the way (LP: #936677)
  * common/sections_trans.cc:
    - add "metapackages", "education", "introspection"
  * debian/rules:
    - do not build multiarch support in Debian to make it work on 
      unstable that has no multiarch apt yet

 -- Michael Vogt <mvo@debian.org>  Fri, 02 Mar 2012 10:20:59 +0100

synaptic (0.75.5~exp6) experimental; urgency=low

  * unless the config option "Synaptic::InlineScreenshots" is set
    to true do not show the tiny screenshot thumbnails inline but
    instead download the big screenshot and show it in a window when
    clicking on the "Show screenshot" button
  * gtk/gtkbuilder/window_main.ui:
    - fix "can_focus" property of entry_fast_search from false to
      true. Looks like glade messed this up.

 -- Michael Vogt <mvo@debian.org>  Mon, 13 Feb 2012 17:50:45 +0100

synaptic (0.75.5~exp5) experimental; urgency=low

  * common/rpackage.cc:
    - use SetCandidateRelease() when forcing a version to ensure
      that experimental/backports work better
  * common/rpackageview.cc:
    - add subview for not-automatic package in the origins filter,
      this is useful for e.g. debian/experimental or ubuntu-backports
      Note that you need to force the version using the menu:
     "Package/Force Version"

 -- Michael Vogt <mvo@debian.org>  Wed, 08 Feb 2012 21:21:43 +0100

synaptic (0.75.5~exp4) experimental; urgency=low

  * debian/patches/03_hide_browse_documentation.dpatch:
    - fix patch to build on ubuntu

 -- Michael Vogt <mvo@debian.org>  Tue, 07 Feb 2012 21:15:28 +0100

synaptic (0.75.5~exp3) experimental; urgency=low

  * move to dh8
  * modernize packaging
  * debian/patches/11_use-pkexec.dpatch:
    - merged to have pkexec as a additional auth mechanism, thanks
      to Marc Deslaurier (closes: #648311)
  * common/rpackagelister.{cc,h}:
    - add new "Synaptic::ShowAllMultiArch" config option that control
      if all multiarch packages are displayed or only those that are
      not available for the native arch
  * common/rpackageview.{cc,hh}:
    - add ArchitectureView on the main left on multiarch systems

 -- Michael Vogt <mvo@debian.org>  Mon, 06 Feb 2012 19:16:45 +0100

synaptic (0.75.5~exp2) experimental; urgency=low

  * merge changes from Ubuntu:
    - debian/changelog: updated
    - debian/control: add or-dependency policykit-1 for pkexec support
    - debian/rules: install apport hook and pkgexec wrapper
    - pre-build.sh: run autoreconf after updating the configure.in versions
  * debian/control:
    - fix Vcs-Bzr
  * debian/rules:
    - do not build --with-launchpad-integration anymore

 -- Michael Vogt <mvo@debian.org>  Mon, 30 Jan 2012 12:32:01 +0100

synaptic (0.75.5~exp1) experimental; urgency=low

  * merged from lp:synaptic
  * build against libapt in experimental

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Jan 2012 14:37:30 +0100

synaptic (0.75.4) unstable; urgency=low

  * gtk/gtkpkglist.cc:
    - fix potential crash when gtk_pkg_list_iter_children is called
      on a empty list
  * debian/synaptic.postrm:
    - remove /etc/apt/apt.conf.d/99synaptic on purge (closes: #64550)
  * gtk/rgmainwindow.cc, gtk/gsynaptic.cc:
    - cleanup 
  * fix build with apt in experimental
  * po/*:
    - auto updates from LP

 -- Michael Vogt <mvo@debian.org>  Tue, 20 Dec 2011 22:32:21 +0100

synaptic (0.75.3) unstable; urgency=low

  * gtk/rgfetchprogress.cc:
    - fix potential crash due to division through zero
  * po/et.po:
    - updated, thanks to Guido Tabbernuk
  * po/*:
    - auto updates from LP

 -- Michael Vogt <mvo@debian.org>  Mon, 19 Sep 2011 10:45:38 +0200

synaptic (0.75.2ubuntu9) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:25:58 -0700

synaptic (0.75.2ubuntu8) oneiric; urgency=low

  * debian/source_synaptic.py: add in an apport package hook (LP: #863792)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Oct 2011 11:02:19 -0700

synaptic (0.75.2ubuntu7) oneiric; urgency=low

  [ Julien Lavergne ]
  * debian/control:
    - Demote apt-xapian-index from Recommends to Suggests to not pull it by
      default on Lubuntu. (LP: #798437).

  [ Michael Terry ]
  * debian/control:
    - Drop Vcs-Bzr line, this is no longer maintained by core devs but by
      MOTU

 -- Michael Terry <mterry@ubuntu.com>  Mon, 26 Sep 2011 12:13:46 -0400

synaptic (0.75.2ubuntu6) oneiric; urgency=low

  * Fix missing policy file (again!) (LP: #828315)
    - debian/patches/11_use-pkexec.dpatch: remove Makefile.in changes.
    - debian/rules: call automake.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Aug 2011 07:56:50 -0400

synaptic (0.75.2ubuntu5) oneiric; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - fix vcs-bzr header

  [ Marc Deslauriers ]
  * debian/patches/11_use-pkexec.dpatch: fix timestamps to prevent race
    from regenerating the Makefile. (LP: #828315)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Aug 2011 20:23:46 -0400

synaptic (0.75.2ubuntu4) oneiric; urgency=low

  * debian/synaptic-pkexec: use /bin/sh, not /bin/bash.
  * debian/rules: install synaptic-pkexec wrapper to /usr/bin, not
    /usr/sbin as it may not be in the path. (LP: #824985, LP: #827878)
  * debian/patches/11_use-pkexec.dpatch: rename extra .patch from filename,
    remove superfluous line break in policy files.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Aug 2011 08:44:11 -0400

synaptic (0.75.2ubuntu3) oneiric; urgency=low

  * Use pkexec instead of gksu for authentication:
    - debian/patches/02_ubuntu_desktop_file.dpatch: switch to pkexec
      wrapper.
    - debian/patches/06_ubuntu_su_to_root.dpatch: switch to pkexec wrapper.
    - debian/patches/11_use-pkexec.dpatch: add policy file and adjust
      Makefiles.
    - debian/control: remove gksu from recommends.
    - debian/rules, debian/synaptic-pkexec: install wrapper to work around
      .desktop files not being able to call pkexec directly.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Aug 2011 08:48:51 -0400

synaptic (0.75.2ubuntu2) oneiric; urgency=low

  * gtk/rgfetchprogress.cc:
    - fix potential crash due to division through zero
  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 14:28:35 +0200

synaptic (0.75.2ubuntu1) oneiric; urgency=low

  * merged from debian/unstable, remaining changes:
    - ubuntu icons for supported applications
    - launchpad-integration
    - ubuntu changelog download support
    - support section metapackages
    - x-ubuntu-gettext-domain in desktop file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Jun 2011 16:05:18 +0200

synaptic (0.75.2) unstable; urgency=low

  [ Michael Vogt ]
  * po/ru.po:
    - updated, thanks to Alexander Sashanov (closes: #614969)
  * po/pt_BR.po:
    - updated, thanks to Sérgio Cipolla (closes: #606447)
  * common/rpackage.{cc,h}:
    - add basic multiarch support, enabled by default, can
      be disabled at build time with 
      ./configure --without-apt-multiarch-support
    - no changes on non-multiarch enabled configurations
  * po/et.po:
    - updated, thanks to Mattias Põldaru 
  * po/de.po:
    - fix translation of breaks (closes: #622752)
  * po/pt_BR.po:
    - updaed, thanks to  Sergio Cipolla
  * updated translations from launchpad
  
  [ Robert Roth ]
  * Remove statusbar border and add padding (LP: #157574)
  * Moved command line argument parsing and displaying help before
    checking for administrative privileges (LP: #791135)

 -- Michael Vogt <mvo@debian.org>  Tue, 21 Jun 2011 15:10:59 +0200

synaptic (0.75.1ubuntu2) natty; urgency=low

  * merge fixes from trunk:
    - po/ru.po:
      - updated, thanks to Alexander Sashanov (closes: #614969)
    - po/pt_BR.po:
      - updated, thanks to Sérgio Cipolla (closes: #606447)
    - common/rpackage.{cc,h}:
      - add basic multiarch support, enabled by default, can
        be disabled at build time with 
        ./configure --without-apt-multiarch-support
      - no changes on non-multiarch enabled configurations

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Apr 2011 14:08:12 +0200

synaptic (0.75.1ubuntu1) natty; urgency=low

  * merged fixed from debian/sid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Mar 2011 12:29:46 +0100

synaptic (0.75.1) unstable; urgency=low

  * po/ru.po:
    - updated, thanks to Alexander Sashanov (closes: #614969)
  * gtk/rgrepositorywin.cc, gtk/gtkbuilder/window_repositories.ui:
    - fix repository editor (closes: #613436)
  * gtk/gtkbuilder/window_main.ui:
    - fixup glade->gtkbuild menu messup
  * gtk/rgmainwindow.cc:
    - hide "quick filter" if no apt-xapian-index is installed
      (closes: #613434)
  * po/pl.po:
    - fix newsgroup translation (thanks to Michal Szwaczko),
      closes: #613346
  * merged lp:~and471/synaptic/fix-resize-grip that adds a bit of
    extra spacing for the progressbar on the lower right

 -- Michael Vogt <mvo@debian.org>  Fri, 04 Mar 2011 11:55:24 +0100

synaptic (0.75) unstable; urgency=low

  [ Michael Vogt ]
  * merged lp:~mathieu-tl/synaptic/gtk3 this brings gtkbuilder
    (instead of glade) and the preparation for updating for gtk3
    Many thanks to Mathieu Trudel-Lapierre
  * show changelog button alongside the screenshot button
  * make sure /etc/apt/apt.conf.d/99synaptic is mode 644
    (LP: #637157)
  * common/rpackagecache.cc:
    - read pindir as well as the pinfile (LP: #628818)
  * when reading markings, ensure the views are refreshed
    so that broken dependencies are displayed
  * show /ask about the pkg state changes when reading selections
    from a file, simpify askStateChanges code
  * merged
    lp:~chris-ascentsoftware/ubuntu/natty/synaptic/synaptic-fix-706271
    many thanks! (LP: #706271)
  * merged lp:~kelemeng/synaptic/bug702181, many thanks! 
    (LP: #702181)
  * merged lp:~kelemeng/synaptic/bug688897, many thanks! 
    (LP: #688897)

  [ Chris McGinlay ]
  * gtk/gtkbuilder/window_preferences.ui, po/*
   - Change capitalisation of internet to Internet (LP: #706271)

  [ Luca Falavigna ]
  * common/rpackageview.cc:
    - Do not display base packages in manual view.
  
 -- Michael Vogt <mvo@debian.org>  Thu, 10 Feb 2011 09:56:20 +0100

synaptic (0.75~pre4) natty; urgency=low

  * debian/control:
    - recommend libgtk2-perl instead of libgnome2-perl to get
      the latest debconf gtk goodness (thanks to Colin Watson)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Dec 2010 15:05:09 +0100

synaptic (0.75~pre3) natty; urgency=low

  [ Gabor Kelemen ]
  * Add gettext type to .ui files
  * Change .glade files to .ui files, stop intltool from complaining
  * Translate searchable field names
  * Mark strings for translation
  * Add missing files
  * Fix image paths: glade -> gtkbuilder
  (LP: #688897)

  [ Michael Vogt ]
  * make sure /etc/apt/apt.conf.d/99synaptic is mode 0644
    (LP: #637157)
  * common/rpackagecache.cc:
    - read pindir as well as the pinfile (LP: #628818)

  [ Luca Falavigna ]
  * common/rpackageview.cc:
    - Do not display base packages in manual view.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Dec 2010 11:34:53 +0100

synaptic (0.75~pre2) natty; urgency=low

  * build from the bzr ubuntu branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Dec 2010 15:44:15 +0100

synaptic (0.75~pre1) natty; urgency=low

  * merged lp:~mathieu-tl/synaptic/gtk3 this brings gtkbuilder
    (instead of glade) and the preparation for updating for gtk3
    Many thanks to Mathieu Trudel-Lapierre

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Dec 2010 10:29:57 +0100

synaptic (0.70) unstable; urgency=low
  
  * po/hu.po:
    - updated, thanks to Gabor Kum 
  * fix some linitian warnings
  
 -- Michael Vogt <mvo@debian.org>  Mon, 06 Dec 2010 16:44:24 +0100

synaptic (0.70~pre2ubuntu1) natty; urgency=low
  
  * merged from debian/unstable, remaining changes:
    - ubuntu icons for supported applications
    - launchpad-integration
    - ubuntu changelog download support
    - support section metapackages
    - x-ubuntu-gettext-domain in desktop file
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Nov 2010 19:44:31 +0100

synaptic (0.70~pre2) unstable; urgency=low

  [ Michael Vogt ]
  * po/pt_BR.po:
    - updated, thanks to Sergio Cipolla  (closes: #593758)
  * po/id.po:
    - added, thanks to Dirgita
  * po/ru.po:
    - updated, thansk to Yuri Kozlov (closes: #571712)
  * po/de.po:
    - fix fuzzy string, thanks to Alek (closes: #599744)
  * po/et.po:
    - updated, thanks to Guido Tabbernuk
  * po/he.po:
    - updated, thanks to Lior Kaplan and Sergio Cipolla 
      (closes: #586940)
  * gtk/rgdebinstallprogress.cc, gtk/rgterminstallprogress.cc:
    - fix FTBFS on latest vte (closes: #597384)
  * common/rpackagecache.{cc,h}, common/rpackage.cc:
    - add cache for PkgFileIterator->pkgIndexFile* to speed up
      RPackage::IsTrusted (LP: #165181)
  * gtk/rgdebinstallprogress.cc:
    - merge fix for error string if those contain a ":" 
      (LP: #600658), thanks to Jonathan Thomas and Jean-Baptiste Lallement 
  * common/rpackagelister.cc:
    - when sorting by support status use STL stable_parition to speed
      up the list view (thanks to David Purcell)
    - when clicking on the "supported" column, default to showing the
      supported items first, then the unsupported ones
  * gtk/rgmainwindow.cc:
    - show message in quick search label if no apt-xapian-index can
      be found
  
   [ Jean-Baptiste Lallement ]
   * gtk/rgdebinstallprogress.{cc,h}: Terminal shortcuts fixes
     - fix <CTRL><SHIFT>c behavior (LP: #250359)
     - add shortcuts <CTRL>a and <CTRL><SHIFT>a to select all/none text
       in the terminal
     - add contextual menu to the terminal to select all and copy text
       (LP: #31396)

 -- Michael Vogt <mvo@debian.org>  Wed, 10 Nov 2010 18:08:14 +0100

synaptic (0.70~pre1) unstable; urgency=low

  * New upstream release that merges all changes from 
    Debian and Ubuntu into a single tree again. This include libept 
    support and lots of fixes.
  * po/sl.po:
    - updated, thanks to Matej Urbančič 
  * po/pt_BR.po:
    - updatd, thanks to Sergio Cipolla, closes: #579296
  * gtk/rgmainwindow.cc:
    - fix hang when applying the preferences (LP: #172487)
  * po/th.po:
    - updated, thanks to Theppitak Karoonboonyanan
      (closes: #592696)
  * pre-build.sh:
    - ensure version number gets updated on build

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Aug 2010 17:37:18 +0200

synaptic (0.63.2) unstable; urgency=low

  [ Michael Vogt ]
  * po/uk.po:
    - updated, thanks to Serhij Dubyk 
  * po/it.po:
    - updated, thanks to Milo Casagrande  (closes: #575685)
  * po/et.po:
    - added, thanks to G. Tabbernuk
  
  [ Bilal Akhtar ]
  * gtk/rgmainwindow.cc
    - Modify gtk/rgmainwindow.cc to populate package list again after 
     'Unmark All' is selected. (LP: #155930)
  
  [ Jean-Baptiste Lallement ]
  * Fix sorting issues of the package list
    - Fix sort by name and by section (LP: #518509)
    - Improve sort by column performance
  * sort 'installed files' list in alphabetical order (LP: #32550)
  * Set version labels selectable in package properties (LP: #76568)
  * disable 'Lock Version' and 'Automatically installed' menu entries for a
    normal user (LP: #309906)
  * wrap lines in textarea of dialog_update_failed (LP: #237455)
  * set textarea read-only in generic error dialog (LP: #403100)
  * Change 'Icon Legend' dialog to fixed size (LP: #374376)
  * add tooltip to 'properties' and 'search' buttons (LP: #202681)
  * * gtk/rgpreferenceswindow.cc: escape '@/:%' in proxy auth string (LP: 130289)
 
 -- Michael Vogt <mvo@debian.org>  Wed, 28 Jul 2010 11:40:15 +0200

synaptic (0.63.1ubuntu14.1) UNRELEASED; urgency=low

  * common/rpackagecache.{cc,h}, common/rpackage.cc:
    - add cache for PkgFileIterator->pkgIndexFile* to speed up
      RPackage::IsTrusted (LP: #165181)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Sep 2010 21:37:21 +0200

synaptic (0.63.1ubuntu14) maverick; urgency=low

  * gtk/rgdebinstallprogress.cc, gtk/rgterminstallprogress.cc:
    - fix FTBFS on latest vte (closes: #597384)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Sep 2010 16:29:25 +0200

synaptic (0.63.1ubuntu13) maverick; urgency=low

  [ Michael Vogt ]
  * rebuild against latest libapt, libept
  * common/rpackagelister.{cc,h}:
    - move quality cutoff into the .cc file to workaround ld crash
  * gtk/rgpackagestatus.cc:
    - remove no longer needed gdkx.h include (that causes compiler
      failures with the latest libapt)

  [ Bilal Akhtar ]
  * debian/patches/11-lp-155930:
    - Modify gtk/rgmainwindow.cc to populate package list again after 
     'Unmark All' is selected. (LP: #155930)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Jul 2010 14:13:46 +0200

synaptic (0.63.1ubuntu12) maverick; urgency=low

  * gtk/rgfetchprogress.cc:
    - do less redrawing in the pulse() code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 Jul 2010 13:09:42 +0200

synaptic (0.63.1ubuntu11) maverick; urgency=low

  [ Martin Pitt ]
  * debian/control: Replace obsolete scrollkeeper package with rarian-compat,
    and drop it from Depends to Recommends.
  
  [ Jean-Baptiste Lallement ]
  * port to libept 1.0
  
  [ Michael Vogt ]
  * limit amount of calls to set_fraction() to avoid too high cpu
    usage on nouveau

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 Jul 2010 10:06:55 +0200

synaptic (0.63.1ubuntu10) maverick; urgency=low

  [ Michael Vogt ]
  * po/uk.po:
    - updated, thanks to Serhij Dubyk 
  
  [ Jean-Baptiste Lallement ]
  * Fix sorting issues of the package list
    - Fix sort by name and by section (LP: #518509)
    - Improve sort by column performance
  * sort 'installed files' list in alphabetical order (LP: #32550)
  * Set version labels selectable in package properties (LP: #76568)
  * disable 'Lock Version' and 'Automatically installed' menu entries for a
    normal user (LP: #309906)
  * common/rpackagelister.cc:
    - in RPackageLister::xapianSearch() catch xapian exception to
      prevent crash when xapian interprets search string as a syntax 
      error
    - fix sorting in xapian search mode (LP: #508220)
  * gtk/gsynaptic.cc
    - Start with focus set on fast search entry (LP: #326155)
  * Select first subview on view change (LP: #403165)
  * Fix Gtk-CRITICAL when the fast search entry is cleared (LP: #385739)
  * Ignore DEL accelerator when fast search has focus (LP: #294178)
  * Do not start help viewer as root but as SUDO_USER (LP: #110224)
  * wrap lines in textarea of dialog_update_failed (LP: #237455)
  * set textarea read-only in generic error dialog (LP: #403100)
  * Change 'Icon Legend' dialog to fixed size (LP: #374376)
  * add tooltip to 'properties' and 'search' buttons (LP: #202681)
  * gtk/glade/window_main.glade:
    - put the fastsearch entry out of the toolbar (LP: #502582)
    - move the fastsearch entry to the upper-right (LP: #290524)
  * gtk/rgfetchprogress.cc:
    - change "Download rate: unknown" to "Download rate: ..." 
      (LP: #393358)
  * Sort by relevancy when doing quicksearch and no search column is set.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Jun 2010 13:12:54 +0200

synaptic (0.63.1ubuntu7) lucid-proposed; urgency=low

  [ Michael Vogt ]
  * common/rpackageview.cc:
    - silence debug output (thanks to Bob Huffman)
  
  [ Jean-Baptiste Lallement ]
  * gtk/rgmainwindow.cc, gtk/rgutils.{cc,h}:
    - un/escape markup when getting/setting subviews name to avoid markup
      insertion in GtkTree items (LP: #567172) 
  * gtk/rgmainwindow.cc:
    - fix force version. regression over beta2 (LP: #568925)
  * gtk/rgmainwindow.cc:
    - fix double-click doesn't unmark a previously marked for install/upgrade
      package. regression over beta2 (LP: #566779)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 May 2010 17:10:50 +0200

synaptic (0.63.1ubuntu6) lucid; urgency=low

  [ Jean-Baptiste Lallement ]  
  * gtk/rgmainwindow.cc:
    - fix 'broken package installation' regression over beta2 (LP: #565816)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Apr 2010 11:24:00 +0200
  
synaptic (0.63.1ubuntu5) lucid; urgency=low

  [ Jean-Baptiste Lallement ]
  * gtk/rgmainwindow.cc: 
    - Fix 'Mark for upgrade' regression over beta2 (LP: #564320)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Apr 2010 12:04:36 +0200

synaptic (0.63.1ubuntu4) lucid; urgency=low

  [ Michael Vogt ]
  * po/it.po:
    - updated, thanks to Milo Casagrande  (closes: #575685)
  
  [ Jean-Baptiste Lallement ]
  * common/rpackage.{cc,h}:
    - Use simplified URI for third party changelogs (LP: #45129)
  * debian/patches/01_ubuntu_changelog.dpatch:
    - update patch to support third party changelogs
  * common/rpackage.{cc,h}:
    - Support third party changelogs by using ArchiveURI() (LP: #153966)
    - Display LP links when changelog is not available for download 
      (LP: #452564)
  * gtk/rgmainwindow.cc: 
    - check package flags when applying an action to a package list
      (LP: #513460)
  * common/rpackagelister.cc
    - workaround to allow searching for terms with an hyphen (LP: #282995)
  * common/rpackagelister.cc:
    - xapianSearch: do not expand the first term when replacing the hyphen
    to reduce size of the resultse
  
  [ Oliver Joos ]
  * common/rconfiguration.cc:
    - Fix to store setting "Consider recommended packages as dependencies"
      (closes debian #440027 and LP: #154349)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Apr 2010 01:59:51 +0200
  
synaptic (0.63.1ubuntu3) lucid; urgency=low

  [ Jean-Baptiste Lallement ]
  * * gtk/rgpreferenceswindow.cc: escape '@/:%' in proxy auth string (LP: 130289)
  * Sort by relevancy when doing quicksearch and no search column is set.
  * debian/patches/10_ubuntu_maintenance_gui.dpatch:
  - Fix mixed-language maintenance status when LC_TIME differs from LC_MESSAGES
    (LP: 511890)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Mar 2010 22:59:36 +0200

synaptic (0.63.1ubuntu2) lucid; urgency=low

  [ Michael Vogt ]
  * po/uk.po:
    - updated, thanks to Serhij Dubyk 
  * build from the lp:~ubuntu-core-dev/synaptic/lucid branch
  
  [ Jean-Baptiste Lallement ]
  * Fix sorting issues of the package list
    - Fix sort by name and by section (LP: #518509)
    - Improve sort by column performance
  * sort 'installed files' list in alphabetical order (LP: #32550)
  * Set version labels selectable in package properties (LP: #76568)
  * disable 'Lock Version' and 'Automatically installed' menu entries for a
    normal user (LP: #309906)
  * common/rpackagelister.cc:
    - in RPackageLister::xapianSearch() catch xapian exception to
      prevent crash when xapian interprets search string as a syntax 
      error
    - fix sorting in xapian search mode (LP: #508220)
  * gtk/gsynaptic.cc
    - Start with focus set on fast search entry (LP: #326155)
  * Select first subview on view change (LP: #403165)
  * Fix Gtk-CRITICAL when the fast search entry is cleared (LP: #385739)
  * Ignore DEL accelerator when fast search has focus (LP: #294178)
  * Do not start help viewer as root but as SUDO_USER (LP: #110224)
  * wrap lines in textarea of dialog_update_failed (LP: #237455)
  * set textarea read-only in generic error dialog (LP: #403100)
  * Change 'Icon Legend' dialog to fixed size (LP: #374376)
 
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Feb 2010 11:13:45 +0100

synaptic (0.63.1ubuntu1) lucid; urgency=low

  [ Michael Vogt ]
  * po/uk.po:
    - updated, thanks to Serhij Dubyk 
  
  [ Jean-Baptiste Lallement ]
  * Fix sorting issues of the package list
    - Fix sort by name and by section (LP: #518509)
    - Improve sort by column performance
  * sort 'installed files' list in alphabetical order (LP: #32550)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Feb 2010 23:27:47 +0100

synaptic (0.63.1) unstable; urgency=low

  * po/pt_BR.po:
    - Updated pt_BR.po, thanks to Sergio Cipolla (closes: #561853)
  * po/sk.po:
    - Updated sk.po, thanks to helix84 (closes: #559283)
  * po/uk.po
    - add ukrainian translation, thanks to Serhij Dubyk 
  * common/rpackageview.{cc,h}:
    - remember search history accross package transactions
  * make the origin filter more fine grained
  * gtk/rgsummarywindow.cc:
    - move the gtk_tree_view_set_model() down to speed up the
      operation
  * gtk/rgdebinstallprogress.cc:
    - on error, set error string into status label
    - when the recovery is run (dpkg --configure -a) display a 
      proper status label for that
  * gtk/rgaboutpanel.cc:
    - fix FTBFS with gcc-4.5 (closes: #565077)
  * additions to the (internal) API
  * gtk/rgdebinstallprogress.cc:
    - make the dpkg progress code less cpu intensive

 -- Michael Vogt <mvo@debian.org>  Thu, 11 Feb 2010 19:58:40 +0100

synaptic (0.63ubuntu4) lucid; urgency=low

  * gtk/rgdebinstallprogress.cc:
    - make the dpkg progress code less cpu intensive
  * po/uk.po
    - add ukrainian translation, thanks to Serhij Dubyk 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Feb 2010 15:23:38 +0100

synaptic (0.63ubuntu3) lucid; urgency=low

  * gtk/rgsummarywindow.cc:
    - move the gtk_tree_view_set_model() down to speed up the
      operation
  * gtk/rgdebinstallprogress.cc:
    - on error, set error string into status label
    - when the recovery is run (dpkg --configure -a) display a 
      proper status label for that
  * gtk/rgaboutpanel.cc:
    - fix FTBFS with gcc-4.5 (closes: #565077)
  * additions to the (internal) API
  * debian/patches/10_ubuntu_maintenance_gui.dpatch:
    - updated to support LTS and new "Supported" flags 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Jan 2010 09:58:35 +0100

synaptic (0.63ubuntu2) lucid; urgency=low

  * po/pt_BR.po:
    - Updated pt_BR.po, thanks to Sergio Cipolla (closes: #561853)
  * po/sk.po:
    - Updated sk.po, thanks to helix84 (closes: #559283)
  * common/rpackageview.{cc,h}:
    - remember search history accross package transactions
  * make the origin filter more fine grained

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 Dec 2009 15:30:54 +0100

synaptic (0.63ubuntu1) lucid; urgency=low

  * merged from debian, remaining changes:
    - ubuntu icons for supported applications
    - launchpad-integration
    - ubuntu changelog download support
    - support section metapackages
    - merged ept branch
    - x-ubuntu-gettext-domain in desktop file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Nov 2009 14:10:05 +0100

synaptic (0.63) unstable; urgency=low

  * common/rpackage.h:
    - fix segfault with latest apt
  * common/sections_trans.cc:
    - fix typo in gnu-r section description
  * po/fr.po:
    - updated, thanks to Stéphane Blondon, closes: #543981
  * po/sl.po:
    - updated, thanks to Matej Urbančič
  * take the "Origin" field from the release file into account
    when looking for supported packages
  * gtk/rgfetchprogress.{cc,h}:
    - remove the custom progress rendering and replace with
      stock gtk progress
  * gtk/glade/dialog_conffile.glade:
    - make the conffile dialog resizable (LP: #228928)
  * gtk/rgdebinstallprogress.cc:
    - use fixed size font on conffile changes

 -- Michael Vogt <mvo@debian.org>  Wed, 21 Oct 2009 11:19:56 +0200

synaptic (0.62.8) unstable; urgency=low

  * debian/control:
    - add build-conflict against librpm-dev
    - recommends gksu|kdebase-bin (kdsu is fine too) 
      closes: #442421
  * add filter for manual installed packages (LP: #122047)
  * fix typo (thanks to Florentin Duneau), closes: #542122
  * po/pt_BR.po:
    - updated translation, thanks to Sergio Cipolla 
      (closes: #532473)

 -- Michael Vogt <mvo@debian.org>  Thu, 27 Aug 2009 10:00:10 +0200

synaptic (0.62.7ubuntu7~ppa1) karmic; urgency=low

  * gtk/rgfetchprogress.{cc,h}:
    - remove the custom progress rendering and replace with
      stock gtk progress
  * gtk/rgmainwindow.cc:
    - use yellowish background in quick search mode
    - reset quick search when the find dialog is popped up

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 21 Oct 2009 11:03:54 +0200

synaptic (0.62.7ubuntu6) karmic; urgency=low

  * gtk/glade/window_fetch.glade:
    - add default_width to avoid fetch window resizing 
      (LP: #450451)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Oct 2009 10:13:17 +0200

synaptic (0.62.7ubuntu5) karmic; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Sep 2009 22:35:18 +0200

synaptic (0.62.7ubuntu4) karmic; urgency=low

  * common/sections_trans.cc:
    - fix typo in gnu-r section description
  * po/fr.po:
    - updated, thanks to Stéphane Blondon, closes: #543981
  * po/sl.po:
    - updated, thanks to Matej Urbančič
  * take the "Origin" field from the release file into account
    when looking for supported packages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 22 Sep 2009 17:49:45 +0200

synaptic (0.62.7ubuntu3) karmic; urgency=low

  * common/rpackagelister.cc:
    - add prefixes for "name" and "section" in the quick search
      This allows "name:apt" or "section:devel" searches
  * debian/control:
    - recommends gksu|kdebase-bin (kdsu is fine too) 
      closes: #442421
  * add filter for manual installed packages (LP: #122047)
  * fix typo (thanks to Florentin Duneau), closes: #542122
  * po/pt_BR.po:
    - updated translation, thanks to Sergio Cipolla
      (closes: #532473)
  * common/rpackage.{cc,h}:
    - fix potential segfault

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Sep 2009 11:52:17 +0200

synaptic (0.62.7ubuntu2) karmic; urgency=low

  * common/rpackagelister.cc:
    - fixes in the xapian search (thanks to seb128)
    - more debug output with Debug::Synaptic::Xapian=true

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Jul 2009 16:14:50 +0200

synaptic (0.62.7ubuntu1) karmic; urgency=low

  * merged from debian
  * debian/control:
    - add build-conflict against librpm-dev

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jul 2009 14:35:17 +0200

synaptic (0.62.7) unstable; urgency=low

  * show progress when searching and not not block the UI
    (LP: #24188)
  * gtk/glade/dialog_authentication.glade:
    - add two missing "translatable" entries, thanks to 
      Daniele Forsi)
  * po/sk.po:
    - updated translation, thanks to helix84, closes: #532790 
  * po/it.po:
    - updated translation, thanks to Milo Casagrande, closes: #534351
  * po/es.po:
    - updated translation, thanks to Francisco Javier Cuadrado, 
      closes: #533322

 -- Michael Vogt <mvo@debian.org>  Thu, 25 Jun 2009 16:17:56 +0200

synaptic (0.62.6ubuntu3) karmic; urgency=low

  * common/rpackagelister.cc:
    - remove all fuzzy matching in xapianIndexNeedsUpdate()
  * gtk/rgmainwindow.cc:
    - run update-apt-xapian-index --udpate under ionice, rebuild
      the index every time the timestamps do not match

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jul 2009 13:00:47 +0200

synaptic (0.62.6ubuntu2) karmic; urgency=low

  * show progress when searching and not not block the UI
    (LP: #24188)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Jun 2009 17:17:28 +0200

synaptic (0.62.6ubuntu1) karmic; urgency=low

  * merge from Debian/unstable, remaining changes:
    - ubuntu icons for supported applications
    - launchpad-integration
    - ubuntu changelog download support
    - support section metapackages
    - merged ept branch
    - x-ubuntu-gettext-domain in desktop file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Jun 2009 10:47:19 +0200

synaptic (0.62.6) unstable; urgency=low

  * po/th.po:
    - updated Thai translation,
      thanks to Theppiak Karoonboonyanan, closes: #512605, #441571
  * po/br.po:
    - updated breton translation, 
      thanks to Denis ARNAUD
  * po/sk.po:
    - updated Slovak translation,
      thanks to Ivan Masár, closes: #531063
  * po/es.po:
    - updated Spanish translation,
      thanks to Francisco Javier Cuadrado, closes: #500400
  * po/tr.po:
    - updated Turkish translation,
      thanks to Mert Dirik, closes: #488995
  * po/eu.po:
    - updated Basque translation,
      thanks to Piarres Beobide, closes: #476438
  * po/ja.po:
    - updated Japanese translation,
      thanks to Kenshi Muto, closes: #455209
  * po/ko.po:
    - updated Korean translation,
      thanks to Changwoo Ryu, closes: #416194
  * po/fr.po:
    - updated French translation,
      thanks to Jean-Luc Coulon, closes: #406882
  * po/sv.po:
    - updated Swedish translation,
      thanks to Daniel Nylander, closes: #384107
  * gtk/rgdebinstallprogress.cc:
    - if forkpty() show a propper error message
      (thanks to Evan) 
  * gtk/rgfetchprogress.cc:
    - if the ETA is huge report it as unknown (LP: #322871)
  * debian/control:
    - add depends to hicolor-icon-theme
  * common/sections_trans.cc:
    - updated for the new section (like httpd, vcs, ...)

 -- Michael Vogt <mvo@debian.org>  Fri, 05 Jun 2009 16:22:48 +0200

synaptic (0.62.5ubuntu3) jaunty-proposed; urgency=low

  * improve the logic when the xapian index needs
    rebuilding by checking the xapian document count
    against the available packages (LP: #365151)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Apr 2009 16:14:30 +0200

synaptic (0.62.5ubuntu2) jaunty; urgency=low

  * No-change upload to strip translations from .desktop files. (LP: #348225)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 30 Mar 2009 12:57:47 +0200

synaptic (0.62.5ubuntu1) jaunty; urgency=low

  * po/th.po:
    - updated Thai translation (closes: #512605)
  * gtk/rgdebinstallprogress.cc:
    - if forkpty() show a propper error message
      (thanks to Evan) 
  * gtk/rgfetchprogress.cc:
    - if the ETA is huge report it as unknown (LP: #322871)
  * debian/control:
    - add depends to hicolor-icon-theme
    - rebuild against latest libapt/libept

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Feb 2009 16:03:03 +0100

synaptic (0.62.5) unstable; urgency=low

  * gtk/rgsummarywindow.cc:
    - fix "Show details" button label (LP: #4055)
  * gtk/glade/window_summary.glade:
    - fix layout issues (LP: #314905), thanks to
      Gabor Kelemen
  * po/sk.po:
    - updated Slovak translation, closes: #500957
  * po/br.po:
    - add Breton language
  * data/synaptic.desktop.in:
    - desktop file cleanups (thanks to Chris Coulson)
      LP: #298172

 -- Michael Vogt <mvo@debian.org>  Tue, 20 Jan 2009 09:45:41 +0100

synaptic (0.62.4) unstable; urgency=low

  * help/C/synaptic.xml:
    -  "preferences" -> "settings", closes: #406430
  * po/sk.po:
    - added Slovak translation, closes: #500957)
  * po/zh_CN.po:
    - updated translation, thanks to Deng Xiyue
      closes: #458423
  * po/fr.po: 
    - fixed typo, thanks to Philippe Cloutier
      closes: #440971
    - fixed typo, thanks to Christophe Combelles
      closes: #357302
    - fixed typos, thanks to Filipus Klutiero
      closes: #342643, #339134
   * po/ca.po:
     - fix catalan translation, closes: #383450
   * typo fix, thanks to Philip Miller, closes: #358694
   * typo and de.po fixes (thanks to Jens Seidel),
     closes: #313831
  * common/rinstallprogress.cc:
    - fix typo and incorrect message (LP: #139760)

 -- Michael Vogt <mvo@debian.org>  Wed, 07 Jan 2009 20:17:12 +0100

synaptic (0.62.3) unstable; urgency=low

  * gtk/rgpkgdetails.{cc,h}:
    - download/show big image when clicking on the
      thumbnail 
  * debian/rules, .bzr-builddeb/default.conf
    - bybye arch-build, hello "bzr-buildpackage"

 -- Michael Vogt <mvo@debian.org>  Tue, 18 Nov 2008 20:35:18 +0100

synaptic (0.62.2ubuntu2) jaunty; urgency=low

  * gtk/rgpkgdetails.{cc,h}:
    - download/show big image when clicking on the
      thumbnail 
  * debian/rules, .bzr-builddeb/default.conf
    - bybye arch-build, hello "bzr-buildpackage"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Nov 2008 19:21:16 +0100

synaptic (0.62.2ubuntu1) jaunty; urgency=low

  * Merge from debian, remaining changes:
    - ubuntu icons for supported applications
    - launchpad-integration
    - support section metapackages
    - x-ubuntu-gettext-domain in desktop file
    - support end time calculation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Nov 2008 12:42:42 +0100

synaptic (0.62.2) unstable; urgency=low

  * po/es.po:
    - updated spanish translation (thanks to 
      Francisco Javier Cuadrado)
  * po/cz.po: 
    - updated Czech translation (thanks to Kamil Páral)
  * gtk/glade/dialog_upgrade.glade:
    - provide a mnemonics in the upgrade dialog,
      closes: #491179 (thanks to Matt Kraai)
  * gtk/glade/window_fetch.glade:
    - dialog fix (thanks to Oded Arbel) (LP: #228127)
  * gtk/rgdebinstallprogress.cc:
    - intercept ctrl-c in the terminal window and ask
      if that is really the desired action
    - make sure that SIGCHLD is not blocked to work around
      kdesudo (LP: #156041)
  * gtk/rgmainwindow.cc:
    - fix "Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper"
      assertion failure error (LP: #38397, closes: #341645)
  * common/rpackageview.cc:
    - add new "Missing Recommends" default filter
  * common/rpackage.cc:
    - fix code to get candidate origin
    - support getting the candidate release file name
  * common/rpackagestatus.cc:
    - support maintenanceEndTime() (if the distro supports that)
  * gtk/rgpkgdetails.{cc,h}, common/rpackage.{cc,h}:
    - add "Get Screenshot" button that talks to screenshots.debian.net

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Nov 2008 11:44:43 +0100

synaptic (0.62.1ubuntu10) intrepid; urgency=low

  * common/rpackagelister.cc:
    - add special handling for "-" char in the xapian
      search (thanks to kiko)
    - fix hang in quick search for huge result lists 
     (like "li") LP: #282188

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Oct 2008 15:19:02 +0200

synaptic (0.62.1ubuntu9) intrepid; urgency=low

  * gtk/rgmainwindow.cc:
    - only xapian search when more than one char is used
      in the search querry (LP: #260739)
  * common/rpackagelister.{cc,h}:
    - expand partial strings in search as you type so that
      "ged" finds "gedit" (LP: #261423)
  * 10_ubuntu_maintenance_gui.dpatch:
    - make sure to look only for immutable release files
      when calculating the support time

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Sep 2008 15:57:58 +0200

synaptic (0.62.1ubuntu8) intrepid; urgency=low

  * common/rpackageview.cc:
    - add new "Missing Recommends" default filter
  * common/rpackage.cc:
    - fix code to get candidate origin
    - support getting the candidate release file name
  * common/rpackagestatus.cc:
    - support maintenanceEndTime() (if the distro supports that)
  * 10_ubuntu_maintenance_gui.dpatch:
    - add support for displaying when the maintaince ends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 22 Aug 2008 12:40:10 +0200

synaptic (0.62.1ubuntu7) intrepid; urgency=low

  * debian/control:
    - add apt-xapian-index to the recommends again, we have some
      space on the CDs again (thanks to Steve Langasek)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 19 Jun 2008 14:45:42 +0200

synaptic (0.62.1ubuntu6) intrepid; urgency=low

  * gtk/rgdebinstallprogress.cc:
    - make sure that SIGCHLD is not blocked to work around
      kdesudo (LP: #156041)
  * common/rpackageview.cc:
    - add new "Missing Recommends" default filter
    - fix incorrect display of the "Community Maintained" filter

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Aug 2008 12:01:56 +0200

synaptic (0.62.1ubuntu5) intrepid; urgency=low

  * debian/control: 
    - make deborphan and apt-xapian-index suggests instead of recommends
      to save space on the CD - this means we loose the quick search
      feature in the default install
  * po/es.po:
    - updated spanish translation (thanks to 
      Francisco Javier Cuadrado)
  * gtk/glade/dialog_upgrade.glade:
    - provide a mnemonics in the upgrade dialog,
      closes: #491179 (thanks to Matt Kraai)
  * gtk/glade/window_fetch.glade:
    - dialog fix (thanks to Oded Arbel) (LP: #228127)
  * gtk/rgdebinstallprogress.cc:
    - intercept ctrl-c in the terminal window and ask
      if that is really the desired action
  * gtk/rgmainwindow.cc:
    - fix "Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper"
      assertion failure error (LP: #38397, closes: #341645)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 01 Aug 2008 13:50:48 +0200

synaptic (0.62.1ubuntu4) intrepid; urgency=low

  * improve the search as you type to weight packagename in the
    search heigher

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Jul 2008 16:00:26 +0100

synaptic (0.62.1ubuntu3) intrepid; urgency=low

  * do not run the index update when called in backend 
    (non-interactive) mode

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Jul 2008 21:58:28 +0200

synaptic (0.62.1ubuntu2) intrepid; urgency=low

  * added support for quick search using xapian (thanks to
    Enrico Zini for his help)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Jun 2008 14:37:19 +0200

synaptic (0.62.1ubuntu1) intrepid; urgency=low

  * merge from debian, remaining changes:
    - ubuntu icons for supported applications
    - launchpad-integration
    - build against latest apt in ubuntu
    - support section metapackages
    - x-ubuntu-gettext-domain in desktop file

  * po/es.po:
    - updated Spanish translation (thanks to
       Francisco Javier Cuadrado)
  * debian/control:
    - added "menu" to the recommends (closes: #478250)
  * gtk/glade/window_main.glade:
    - make the main vpane shinkable
  * gtk/rgmainwindow.cc:
    - do not loose the keyboard focus after a package 
      action in the listview
  * debian/control:
    - switch bzr branch to bzr.debian.org

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Jun 2008 15:57:44 +0200

synaptic (0.62.1) unstable; urgency=low

  * po/es.po:
    - updated Spanish translation (thanks to
       Francisco Javier Cuadrado)
  * debian/control:
    - added "menu" to the recommends (closes: #478250)
  * gtk/glade/window_main.glade:
    - make the main vpane shinkable
  * gtk/rgmainwindow.cc:
    - do not loose the keyboard focus after a package 
      action in the listview
  * debian/control:
    - switch bzr branch to bzr.debian.org

 -- Michael Vogt <mvo@debian.org>  Tue, 18 Jun 2008 10:17:31 +0200

synaptic (0.62) unstable; urgency=low

  [ Michael Vogt]
  * debian/rules, debian/control:
    - use dh_icons and add appropriate b-d on debhelper
  * g++ 4.3 fixes (closes: #456044)
  * desktop-file-validate does not complain anymore
    (LP: #33598)
  * gtk/rgmainwindow.cc:
    - wording fixes (thanks to Matthew Paul Thomas)
  * po/he.po:
    - translation update (thanks to Lior Kaplan, closes: #461139)
  * po/pl.po:
    - translation update (thanks to Tomasz Argasiński)
  * po/cs.po:
    - translation update (thanks to Kamil Páral)
  * gtk/gsynaptic.cc:
    - fix typo (thanks to  Sarah Hobbs)
  * gtk/rgsummarywindow.cc:
    - code cleanup and fix potential endless loop (thanks to
      Sebastien Bacher)

  [ Brian Murray ]
  * typo fixes (LP: #64482, LP: #157850, LP: #179914, LP: #179912, LP: #179909)

 -- Michael Vogt <mvo@debian.org>  Sat, 26 Apr 2008 10:50:53 +0200

synaptic (0.61+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3. Thanks to Cyril Brulebois for the patch. (Closes:
    #456044)
  * Lintian cleanups:
    - Correct the format of the NEWS file.
    - Use su-to-root instead of gksu for the desktop file.
    - Remove the empty /usr/bin directory from synaptic.dirs.
    - Do not ignore errors from make clean.
    - Use Vcs-Bzr instead of XS-Vcs-Bzr.

 -- James Vega <jamessan@debian.org>  Sat, 05 Apr 2008 18:58:52 -0400

synaptic (0.61ubuntu9) hardy; urgency=low

  * po/cs.po:
    - translation update (thanks to Kamil Páral)
  * rebuild for liblaunchpad-integration change

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Apr 2008 16:25:00 +0200

synaptic (0.61ubuntu8) hardy; urgency=low

  * pixmaps/hicolor/16x16/package-purge.png:
    - make the icon different from the "remove" icon
  * gtk/rgsummarywindow.cc:
    - code cleanup and fix potential endless loop (thanks to
      Sebastien Bacher)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Apr 2008 14:39:18 +0200

synaptic (0.61ubuntu7) hardy; urgency=low

  * do not auto-close on package install errors when run with
    closeZvt=true (LP: #183209)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Mar 2008 15:05:55 +0100

synaptic (0.61ubuntu6) hardy; urgency=low

  * recommend software-properties-gtk

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Feb 2008 11:33:11 +0100

synaptic (0.61ubuntu5) hardy; urgency=low

  [ Brian Murray ]
  * typo fixes (LP: #64482, LP: #157850, LP: #179914, LP: #179912, LP: #179909)

  [ Michael Vogt ]
  * add new RFilePackageFilter 
  * added default custom filter that shows installed community software
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Feb 2008 22:54:39 +0100

synaptic (0.61ubuntu4) hardy; urgency=low

  * fix incorect transient settings when run with --no-main-window
    (thanks to Robert Colins for reporting)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 31 Jan 2008 10:51:31 +0100

synaptic (0.61ubuntu3) hardy; urgency=low

  * use new ListUpdate() code from apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Jan 2008 21:20:49 +0100

synaptic (0.61ubuntu2) hardy; urgency=low

  [ Michael Vogt]
  * debian/rules, debian/control:
    - use dh_icons and add appropriate b-d on debhelper
  * g++ 4.3 fixes (closes: #456044)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Dec 2007 20:48:57 +0100

synaptic (0.61ubuntu1) hardy; urgency=low

  * merged from debian/unstable, remaining changes:
    - ubuntu icons for supported applications
    - maintained filed changed
    - launchpad-integration
    - build against latest apt in ubuntu
    - support section metapackages
    - x-ubuntu-gettext-domain in desktop file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Dec 2007 15:49:12 +0100

synaptic (0.61) unstable; urgency=low

  [ Michael Vogt ]
  * fix missing Basque translation (closes: #429460)
  * updatd Basque translation (thanks to mikel paskual)
  * update galician translation (thanks to Ignacio Casal)
  * updated Czech translation (thanks to Vit Pelcak)
  * updated Finish translation (thanks to Timo Jyrinki)
  * po/POTFILES.in, po/POTFILES.skip:
    - updated so that intltool-update -m is happy again (thanks
      to Nacho)
  * po/be@latin.po:
    - merged translation from Ihar H
  * po/cs.po:
    - bugfixes by Vít Pelčák
  * gtk/rgmainwindow.cc:
    - add missing space in the wget script (thanks to Avi Rozen)
      (closes: #435682)
  * make it build with g++ 4.3
  * debian/synaptic.menu:
    - fix menu section (thanks to Bill Allomber, closes: #445025)
  * gtk/rgmainwindow.cc:
    - fix crash in cbInstallFromVersion()
  * gtk/rgfetchprogress.{cc,h}:
    - fix crash in download progress on theme changes
  * added XS-Vcs-Bzr header

  [ Diego Escalante Urrelo ]
  * The menu entry for Synaptic is back in System->Administration. It also  
    removes the legacy Applications category.
    closes: #429895

  [ Loic Minier ]
  * Set has_focus on the close button of the welcome dialog; closes: #148695.

 -- Michael Vogt <mvo@debian.org>  Thu, 06 Dec 2007 16:00:51 +0100

synaptic (0.60ubuntu5.1) gutsy-proposed; urgency=low

  * gtk/rgfetchprogress.{cc,h}:
    - fix crash in download progress on theme changes (LP: #67995)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Oct 2007 11:14:03 +0200

synaptic (0.60ubuntu5) gutsy; urgency=low
  
  [ Loic Minier ]
  * Set has_focus on the close button of the welcome dialog; LP: #148695.
  
  [ Michael Vogt ]
  * gtk/rgmainwindow.cc:
    - fix crash in cbInstallFromVersion() (LP: #145685)

 -- Loic Minier <lool@dooz.org>  Wed, 03 Oct 2007 22:33:28 +0200

synaptic (0.60ubuntu3) gutsy; urgency=low

  * build against latest apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Aug 2007 21:15:40 +0200

synaptic (0.60ubuntu2) gutsy; urgency=low

  * debian/control:
    - added XS-Vcs-Bzr field

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 30 Jul 2007 15:04:48 +0200

synaptic (0.60ubuntu1) gutsy; urgency=low

  * merged from debian/unstable, remaining changes:
    - 01_ubuntu_changelog: 
      + default to changelogs.ubuntu.com
    - 03_hide_browse_documentation:
      + don't show the dwww documentation button
    - 04_ubuntu_lpi:
      + launchpad integration added
    - 06_ubuntu_su_to_root:
      + use gksu instead of su-to-root
    - ubuntu branding icon

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Jun 2007 15:08:09 +0200

synaptic (0.60) unstable; urgency=low

  * moved most icons use the icontheme
  * support repmod on rpm systems
  * when switching views, don't autoselect "AlL"
  * gtk/gsyncaptic.cc:
    - fix in the checking for already runing synaptic (lp: 62754)
  * gtk/rgfilterwindow.cc:
    - fix i18n problem in the filter settings 
      (thanks to Alexander Bart)
  * help/sv:
    - added swedish manual (thanks to Daniel Nylander)
      closes: #384388
  * added support for GUI configuraton of http proxy
  * translation updates:
    - cs.po: thanks to Vít Pelcak
  * debian/rules: 
    - fix automatic version number generation
  * make description buffer dynamic (thanks to Benjamin Jacobs)
  * added component filter
  * added emblem in the description to show support status
  * move the desktop file out of settings because it does no longer
    fit there with the new control center in gnome 2.17
  * build with gcc 4.3 (closes: #413419)
  * do not return a NULL pointer in name() 
  * when generating the wget script, use wget -c
  * po/cs.po:
    - updated (thanks to Vit Pelcak)
  * gtk/rguserdialog.cc, gtk/rggladewindow.cc:
    - do not crash for invalid parent-window-ids
  * gtk/rgpreferenceswindow.cc:
    - overwrite the http_proxy environ when the user set the proxy
      explicitely (thanks to Berend De Schouwer)
  * common/rpackagelister.cc:
    - added "Volatile::SetSelectionDoReInstall" to support 
      reinstalling from --set-selections too
  * common/rpackage.cc:
    - only show a package as supported if it is authenticated
  * po/eu.po:
    - updated (thanks to dooteo, closes: #368951)
  * merged gcc 4.3 compiler fix, closes: #413419
    (thanks to Martin Michlmayr)
  * merged support for translated package description
  * merged support for automatic removal of unused dependencies
  * merged support for native apts install-recommends feature

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Mar 2007 17:22:30 +0100

synaptic (0.57.11.1ubuntu15) gutsy; urgency=low

  * gtk/rgpreferenceswindow.cc:
    - overwrite the http_proxy environ when the user set the proxy
      explicitely (thanks to Berend De Schouwer, LP#105515)
  * common/rpackagelister.cc:
    - added "Volatile::SetSelectionDoReInstall" to support 
      reinstalling from --set-selections too
  * common/rpackage.cc:
    - only show a package as supported if it is authenticated
  * po/eu.po:
    - updated (thanks to dooteo, closes: #368951)
  * gtk/rguserdialog.cc, gtk/rggladewindow.cc:
    - do not crash for invalid parent-window-ids

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Apr 2007 11:16:31 +0200

synaptic (0.57.11.1ubuntu14) feisty; urgency=low

  * gtk/rgchangeswindow.cc:
    - fix crash in confirm changes (LP#80922) 
      Thanks to John Millikin for the instructions how to reproduce the
      bug

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  4 Apr 2007 13:01:23 +0200

synaptic (0.57.11.1ubuntu13) feisty; urgency=low

  * when generating the wget script, use wget -c (LP#76462)
  * po/cs.po:
    - updated (thanks to Vit Pelcak)
  * gtk/rgpkgdetails.cc:
    - fix chinese descriptions display, thanks to Liu Qishuai 
      (LP#102228)
  * fix drop down boxes in preferences (LP#100072)
  * fix terminal window (LP#99877)
  * show error and exit if opening the cache fails (LP#90016)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  3 Apr 2007 22:23:48 +0200

synaptic (0.57.11.1ubuntu12) feisty; urgency=low

  * data/synaptic.desktop.in:
    - fix in the Category to make it show up in g-a-i (LP#88877)
  * common/rpackageview.cc:
    - fix in the getSections() code (LP##91888)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2007 20:18:09 +0100

synaptic (0.57.11.1ubuntu11) feisty; urgency=low

  * build with gcc 4.3 (closes: #413419)
  * do not return a NULL pointer in name() 
  * remove unneeded pkgActionGroup that seems to cause havoc

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Mar 2007 19:02:44 +0100

synaptic (0.57.11.1ubuntu10) feisty; urgency=low

  * debian/control:
    - changed ubuntu maintainer 
    - added XS-Vcs-Bzr
  * gtk/rgpreferenceswindow.cc:
    - fix proxy authentication (thanks to Jan de Mooij) 
      (LP#86769)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Feb 2007 12:34:12 +0100

synaptic (0.57.11.1ubuntu9) feisty; urgency=low

  * remove file descriptor resource leak 
  * depend on latest apt (needs rebuild to fix resource leak)
  * fix crash in "Add downloaded packages" (LP#85934)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Feb 2007 14:31:31 +0100

synaptic (0.57.11.1ubuntu8) feisty; urgency=low

  * move the desktop file back into new control center as it confused
    too many people and we want to get rid of Applications/System Tools
    (LP: #84984)
  * fixed memory corruption problem on reopening the cache
    (LP#81624)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Feb 2007 10:33:32 +0100

synaptic (0.57.11.1ubuntu7) feisty; urgency=low

  * really use software-properties-gtk if available (LP#84248)
  * move the desktop file out of settings because it does no longer
    fit there with the new control center in gnome 2.17
    (LP: #83658)
  * fix version number generation for the about dialog (lp: #84626)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Feb 2007 19:05:35 +0100

synaptic (0.57.11.1ubuntu6) feisty; urgency=low

  * use software-properties-gtk if available
  * rebuild against latest apt version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Feb 2007 16:37:48 +0100

synaptic (0.57.11.1ubuntu5) feisty; urgency=low

  * fix corner-case bug in --set-selections, --non-interactive (lp: #81428)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Jan 2007 10:41:48 +0100

synaptic (0.57.11.1ubuntu4) feisty; urgency=low

  * debian/rules: 
    - fix automatic version number generation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Jan 2007 15:27:59 +0100

synaptic (0.57.11.1ubuntu2) feisty; urgency=low

  * added "Origins" view (AlwaysEnableUniverseMultiverse spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Dec 2006 19:05:08 +0100

synaptic (0.57.11.1ubuntu1) feisty; urgency=low

  * merged with debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Dec 2006 17:30:46 +0100

synaptic (0.57.11.1) unstable; urgency=high

  * gtk/rgmainwindow.cc:
    - fix crash in "Lock package"
  * gtk/rgpreferenceswindow.cc:
    - add default font to fix crash

 -- Michael Vogt <mvo@debian.org>  Mon, 18 Dec 2006 10:52:08 +0100

synaptic (0.57.11ubuntu13) edgy; urgency=low

  * gtk/rgmainwindow.cc:
    - fix crash in "Lock package" (lp: 64005)
  * gtk/rgpreferenceswindow.cc:
    - add default font to fix crash (lp: 65553)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Oct 2006 16:12:55 +0200

synaptic (0.57.11ubuntu12) edgy; urgency=low

  * gtk/gsyncaptic.cc:
    - fix in the checking for already runing synaptic (lp: 62754)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Oct 2006 18:09:16 +0200

synaptic (0.57.11ubuntu11) edgy; urgency=low

  * common/rpackagelister.cc:
    - use pkgActionGroup to fix performance regression in setSelection()
  * performance regression fixes (lp: #63171)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Oct 2006 13:57:42 +0200

synaptic (0.57.11ubuntu10) edgy; urgency=low

  * common/rpackagelister.cc:
    - run refresh() after re-adjusting the size of the packages (lp: #62298)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Sep 2006 17:33:28 +0200

synaptic (0.57.11ubuntu9) edgy; urgency=low

  * fix problem with pkgs disappering from the current view when
    certain auto-removable packages are marked for removal

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Sep 2006 13:39:35 +0200

synaptic (0.57.11ubuntu8) edgy; urgency=low

  * redo the auto flag on "restoreState()" too

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Sep 2006 00:55:16 +0200

synaptic (0.57.11ubuntu7) edgy; urgency=low

  * auto install/garbage filter added

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Sep 2006 15:04:36 +0200

synaptic (0.57.11ubuntu6) edgy; urgency=low

  * fix mark/unmark auto 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Sep 2006 14:18:43 +0200

synaptic (0.57.11ubuntu5) edgy; urgency=low

  * fix performance regression when canceling a operation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Sep 2006 11:52:30 +0200

synaptic (0.57.11ubuntu4) edgy; urgency=low

  * when switching views, don't autoselect "All"
  * support the "metapackages" section

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Sep 2006 20:30:45 +0200

synaptic (0.57.11ubuntu3) edgy; urgency=low

  * make "Fix Missing" and "Set Selections" faster (thanks to seb128
    for discovering this problem)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  4 Sep 2006 15:59:20 +0200

synaptic (0.57.11ubuntu2) edgy; urgency=low

  * merged the ddtp support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Aug 2006 16:26:28 +0200

synaptic (0.57.11ubuntu1) edgy; urgency=low

  * merged with debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 27 Jul 2006 15:17:03 +0200

synaptic (0.57.11) unstable; urgency=low

  * po/ja.po: updated japanese translation (thanks to Daisuke SUZUKI)
  * po/sv.po: updated translation (thanks to Daniel Nylander)
  * UI and string fixes (thanks to Sebastian Heinlein)
  * show broken packages in the status view as well
  * don't show a download window if nothing is going to be downloaded
  * return non-zero exit code on error
  * po-manual/synaptic-manual.pot:
    - updated (thanks to Sebastian Heinlein)
  
 -- Michael Vogt <mvo@debian.org>  Thu, 27 Jul 2006 15:12:31 +0200

synaptic (0.57.10ubuntu3) edgy; urgency=low

  * show broken packages in the status view as well
  * don't show a download window if nothing is going to be downloaded
  * cleanups

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Jul 2006 11:47:31 +0200

synaptic (0.57.10ubuntu2) edgy; urgency=low

  * fixed FTBFS
  * build-dep on latest vte

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Jul 2006 16:17:25 +0200

synaptic (0.57.10ubuntu1) edgy; urgency=low

  * po/ja.po: updated japanese translation (thanks to Daisuke SUZUKI)
  * po/sv.po: updated translation (thanks to Daniel Nylander)
  * UI and string fixes (thanks to Sebastian Heinlein)
  * merged with debian
  * merged simple support for the apt auto-mark of automatic dependencies
    feature (new "Installed (auto removable)" status)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  3 Jul 2006 21:38:16 +0200

synaptic (0.57.10) unstable; urgency=low

  * fix a bug in the skip-taskbar handling (thanks to seb128)
  * fix the column sorting (closes: #361070)
  * use the urgency hint for the conffile prompt (ubuntu: #21898)
  * better handling of the automatic terminal expanding (ubuntu: #38935)
  * g++-4.1 fixes (thanks to Martin Michlmayr) (closes: #357863)
  * added some documentation for the 'Add downloaded packages' option
    (closes: #365446)

 -- Michael Vogt <mvo@debian.org>  Tue,  9 May 2006 09:50:02 +0200

synaptic (0.57.9) unstable; urgency=low

  * fix more set_transient() problems with run with --parent-window-id
  * fix problem with fetch window not centered on parent (thanks to
    seb128 and glatzor)
  * if no terminal activity is detected and the terminal is expanded
    set the urgency hint as well (ubuntu: #31436)
  * remove http:// when it was entered as part of the proxy uri
  * include reinstall markings in the "changes" filter
  * fix memory corruption problem

 -- Michael Vogt <mvo@debian.org>  Tue, 28 Feb 2006 09:44:42 +0100

synaptic (0.57.8ubuntu11) dapper; urgency=low

  * fix bug that the window is not visisble in the tasklist when run 
    in "install all upgrades" mode from update-notifier (thanks to
    seb128 for reporting)
  * hide the "auto-close" checkbutton when runing non-interactively,
    because synaptic won't save options then (Ubuntu: #28250)
  * better deal with invalid utf8 in the package descriptions 
    (Ubuntu: #37050, #38399)
  * increase the size of the diff dialog textview (ubuntu: #44012)
  * search in summary too (ubuntu: #32337)
  * fix focus problem (ubuntu: #39971)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 18 May 2006 11:41:18 +0200

synaptic (0.57.8ubuntu10) dapper; urgency=low

  * g++-4.1 fixes (thanks to Martin Michlmayr) (closes: 357863)
  * fix the invocation of the external software-properties

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Apr 2006 10:02:28 +0200

synaptic (0.57.8ubuntu9) dapper; urgency=low

  * fix a bug in the skip-taskbar handling (thanks to seb128)
  * fix the column sorting (closes: #361070)
  * use the urgency hint for the conffile prompt (ubuntu: #21898)
  * better handling of the automatic terminal expanding (ubuntu: #38935)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Apr 2006 20:43:23 +0200

synaptic (0.57.8ubuntu8) dapper; urgency=low

  * fix memory corruption problem (ubuntu #37817, #37987)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  4 Apr 2006 19:59:35 +0200

synaptic (0.57.8ubuntu7) dapper; urgency=low

  * gtk/window_changes.glade:
    - make the dialog icon "info" instead of "warning" (ubuntu: #17085)
  * remove http:// when it was entered as part of the proxy uri 
    (ubuntu: #18038)
  * if a dpkg error happens during install run "dpkg --configure -a" 
    to recover as much as possible (ubuntu: #19021)
  * if no terminal activity is detected and the terminal is expanded
    set the urgency hint as well (ubuntu: #31436)
  * remove http:// when it was entered as part of the proxy uri
  * include reinstall markings in the "changes" filter

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun,  2 Apr 2006 11:40:45 +0200

synaptic (0.57.8ubuntu6) dapper; urgency=low

  * wording fix (ubuntu #36488)
  * if no terminal activity is detected and the terminal is expanded
    set the urgency hint as well (ubuntu: #31436)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Mar 2006 14:33:19 +0200

synaptic (0.57.8ubuntu5) dapper; urgency=low

  * fix problem with fetch window not centered on parent (thanks to
    seb128 and glatzor)
  * fix a missing set_transient() problem (ubuntu #36030)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Mar 2006 00:10:25 +0100

synaptic (0.57.8ubuntu4) dapper; urgency=low

  * fix another set_transient() problem with run with --parent-window-id
    (ubuntu #33406)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  2 Mar 2006 15:38:08 +0100

synaptic (0.57.8ubuntu3) dapper; urgency=low

  * data/synaptic.desktop.in: set X-Ubuntu-Gettext-Domain
  * make "mark" the default response in the "Mark change dialog" (ubuntu #31189)
  * don't fail if run as non-root, just explain what's wrong

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Feb 2006 10:35:43 +0100

synaptic (0.57.8ubuntu2) dapper; urgency=low

  * po/th.po: updated Thai Translation (thanks to Isriya Paireepairit)
  * po/el.po: updated Greek translation (thanks to Kostas Papadimas)
  * only clean the list dir if a update was successful
  * fix problem that some windows have a skip taskbar hint but no
    transient parent (thanks to Seb128 for reporting the problem)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Feb 2006 18:59:52 +0100

synaptic (0.57.8) unstable; urgency=low

  * po/pl.po: updated Polish translation (thanks to Emilian Nowak)
  * po/it.pl: updated Italian translation (thanks to Marco Colombo)
  * po/ko.pl: updated Korean translation (thanks to Changwoo Ryu)
    (closes: #346546)
  * typo fix in debian/NEWS.Debian (closes: #346130)
  * po/zh_HK.po: removed as requested by Anthony Fok (closes: #346081)
  * typo fix in po/fr.po, thanks to  Filipus Klutiero  (closes: #336999)
  * po/gl.po: added Galician translation (thanks to Nacho Resa)
  * po/es.po: updated Spanish translation 
    (thanks to Francisco Javier F. Serrador)
  * po/th.po: updated Thai Translation (thanks to Isriya Paireepairit)
  * po/fi.po: updated Finnish translation (thanks to Ilkka Tuohela)
  * po/el.po: updated Greek translation (thanks to Kostas Papadimas)
  * fix version number in about dialog (and make sure this is done
    automatically in the future) (closes: #348839)
  * applied patch from Robert Chéramy to fix un-lock problem
    (closes: #334168)
  * added --parent-window-id to make embedding easier
  * wording fixes (malone #22090)
  * only clean the list dir if a update was successful
  * make "mark" the default response in the "Mark change dialog"
  
 -- Michael Vogt <mvo@debian.org>  Tue, 28 Feb 2006 09:44:42 +0100

synaptic (0.57.7) unstable; urgency=low

  * po/fi.po: added Finnish translation (thanks to Ilkka Tuohela)
  * po/lt.po: updated Lithuanian translation (thanks to Zygimantas Berucka)
  * po/ja.po: updated Japanese translation (thanks to AWASHIRO Ikuya)
  * po/bg.po: updated Bulgarian translation (thanks to Yavor Doganov) 
    (closes: #335032)
  * po/ca.po: updated Catalan translation (thanks to Jordi Mallach)
  * po/sv.po: updated Swedish translation (thanks to Daniel Nylander)
    (closes: #339821)
  * simple generation of download script added
  * add externaly downloaded debs command added
  * report correctly the required download size
  * bugfix in the filter code (thanks to Yann Verley)
  * renamed pt_PT.po to pt.po
  * make sure to display valid utf8 when displaying messages from apt
    (closes: #337739, #338922)

 -- Michael Vogt <mvo@debian.org>  Mon,  2 Jan 2006 11:20:27 +0100

synaptic (0.57.6) unstable; urgency=low

  * po/ja.po:
    - updated Japanese translation (thanks to AWASHIRO Ikuya)
  * po/sv.po:
    - new swedish translation (thanks to Daniel Nylander)
      (closes: #339370)
  * always use pkgSourceList::ReadMainList() 

 -- Michael Vogt <mvo@debian.org>  Wed, 23 Nov 2005 12:35:26 +0100

synaptic (0.57.5.1) unstable; urgency=low

  * re-build in pbuilder, this fixes a build against a wrong libapt
    version *cough* (closes: #332340, #332348)

 -- Michael Vogt <mvo@debian.org>  Thu,  6 Oct 2005 07:10:35 +0200

synaptic (0.57.5) unstable; urgency=low

  * common/rpackage.cc:
    - always get the candidate version for the description (closes: #325819)
  * po/es.po:
    - updated Spanish translation (thanks to Francisco Javier F. Serrador)
  * po/ro.po:
    - added Romanian translation (thanks to Dan Damian)
  * po/hi.po:
    - added Hindi translation (thanks to Vivek Rai)
  * improved the support for error and conffile handling from
    apt/dpkg

 -- Michael Vogt <mvo@debian.org>  Wed, 5 Oct 2005 16:23:15 +0200 

synaptic (0.57.4) unstable; urgency=low

  * added support for the new (apt >= 0.6.40) progress reporting
    code

 -- Michael Vogt <mvo@debian.org>  Fri,  5 Aug 2005 15:35:23 +0200

synaptic (0.57.3) unstable; urgency=low

  * support for load/save the last search options added (ubuntu #11822)
  * fix a UI problem in rgdebinstallprogress. A error dialog
    was sometimes not visible over the parent window (ubuntu #12533)
  * build against current libapt (closes: #320715)
  * compiles cleanly on amd64 now (closes: #297970)
  * updated Hungarian translation (thanks to Gabor Kelemen)
  * updated Lithuanian translation (thanks to Žygimantas Beručka)
  * only skip_taskbar for modal windows (ubuntu #12640)
  * relocated to gnome 2.10 System menu (closes: #314453)
  * is a native debian package now (make more sense this way)
  
 -- Michael Vogt <mvo@debian.org>  Mon,  1 Aug 2005 14:05:10 +0200

synaptic (0.57.2-1) unstable; urgency=low

  * new upstream release, i18n updates, small bugfixes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  4 Jul 2005 14:55:19 +0200

synaptic (0.57.1-1) unstable; urgency=low

  * new upstream release
  * make use of the new dpkg and apt 

 -- Michael Vogt <mvo@debian.org>  Sat, 18 Jun 2005 12:19:00 +0200

synaptic (0.57-2) unstable; urgency=low

  * don't hide the desktop file in a kde enviroment 
    (closes: #313309)

 -- Michael Vogt <mvo@debian.org>  Mon, 13 Jun 2005 11:29:38 +0200

synaptic (0.57-1ubuntu1) breezy; urgency=low

  * added intltool-update -p in build target (to make langpacks happy)
  * don't hide the desktop file in a kde enviroment
    (closes: #313309)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jun 2005 12:50:27 +0200

synaptic (0.57-1) unstable; urgency=low

  * new upstream version
  * fixes ubuntu:
    - #10592 (month sorting)
    - #10756 (repositories lacks heading)
    - #10793 (quick intro should not be opened by default)
    - #10762 (can't purge when remove is already selected)
    - #10752 (should install into /usr/share/applications)
    - #8522 (synaptic uses su-to-root instead of gksudo in menu)
    - #7822 ("X" (window manager close) won't close install dialog) 
    - #11029 (synaptic exits silently if another synaptic is running)
  * fixes debian:
    - closes: #308474 (can't purge a package that is marked for removal)
    - closes: #242037 (don't understand the difference between 
                       smart upgrade and upgrade)
    - closes: #296551 (unresolved dependency error omits version information)
    - closes: #292034 (icon toolbar does not display)
    - closes: #291195 (text beside icons does not work)
    - closes: #290348 (gcc-4.0 build problem)
    - closes: #277475,#277474,#277473 (scrolling in download window)
    - closes: #275099 (visualisation problem)
  * updated i18n:
    - pt_BR, bg

 -- Michael Vogt <mvo@debian.org>  Wed,  8 Jun 2005 13:41:53 +0200

synaptic (0.55+cvs20050406-1) hoary; urgency=low

  * translation updates for: fr, es, lt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Apr 2005 00:39:52 +0200

synaptic (0.55+cvs20050404-1) hoary; urgency=low
  
  * New snapshot, xh translation added

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  4 Apr 2005 22:46:33 +0200

synaptic (0.55+cvs20050330-1) hoary; urgency=low

  * debian/control:
    - gksu is recommended only (to make it kde friendlier)
  * new desktop file for kde (#7395)
  * fix a problem in the weekday calculation in logviewer 
    (libc<->glib incompatibility)
  * fix in the synaptic doc OMF file to make it show the correct
    version in yelp (#8194)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Mar 2005 17:11:33 +0200

synaptic (0.55+cvs20050328-1) hoary; urgency=low

  * New snapshot, fixes a utf8 problem in the logviewer (#8279)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Mar 2005 17:36:25 +0200

synaptic (0.55+cvs20050323-1) hoary; urgency=low
  
  * new snapshot, expose the preferences file (used for version 
    locking) so that update-notifer/update-manager can use it too
  * use 8pt font in the (hidden) terminal window in the installprogress
    window

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 Mar 2005 15:53:29 +0100

synaptic (0.55+cvs20050318-1) hoary; urgency=low

  * New snapshot, fix for a locking problem when adding a cdrom
    and instaling immediately
  * make text in conf-file dialog non-editable and cursor invisible

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 18 Mar 2005 15:25:37 +0100

synaptic (0.55+cvs20050311-1) hoary; urgency=low
  
  * New svn snapshot, bugfixes and translation updates:
    - fix for a potential file descriptor leak
    - be more clever when it comes to adding cdroms 
      (don't load the cache before)
    - make the "To be removed" column header in the changes
      window bold (thanks to jdub for this idea)
    - make the pulse step slower in the install preparation step 
      (closes: #7212)
    - make it possible to cancel when asking for cdrom 
    - only switch cursor if the window is actual maped (causes some
      gtk warnings to go away)
    - fix a problem in the defaultDistro saving (closes: #6512)
    - fix a problem that the fetch window is not correctly exapanded 
    - translation updates for: ca, el, es, lt, ru, zh_CN

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Mar 2005 18:31:42 +0100

synaptic (0.55+cvs20050228-1) hoary; urgency=low
  
  * New svn snapshot
  * make use of the new pkgAcquire::Run(pulseInterval) feature (#5879)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Feb 2005 14:46:12 +0100

synaptic (0.55+cvs20050224-1) hoary; urgency=low

  * New svn snapshot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Feb 2005 14:02:49 +0100

synaptic (0.55+cvs20050218-1) hoary; urgency=low
  
  * restored the ubuntu icon, there was a quoting error in the 
    debian/rules file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 20 Feb 2005 11:31:20 +0100

synaptic (0.55+cvs20050215-1) hoary; urgency=low

  * new svn snapshot, fixes: 
    - point to changelogs.ubuntu.com (#6540)
    - don't issue a warning when a new source.list is added (#6312)
    - allow only one instance of synaptic (#4533)
    - save settings again (#6512,#6511,#6436)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Feb 2005 16:31:39 +0100

synaptic (0.55+cvs20050208-1) hoary; urgency=low

  * New snapshop with changes, needed for latest update-manager

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  8 Feb 2005 21:45:21 +0100

synaptic (0.55+cvs20050207-1) hoary; urgency=low
  
  * New svn snapshot, build-depends on libapt-pkg-dev 0.6.31 and 
    will use the new add-cdrom interface

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  7 Feb 2005 12:46:55 +0100

synaptic (0.55+cvs20050204-1) hoary; urgency=low

  * New svn snapshot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  4 Feb 2005 23:58:24 +0100

synaptic (0.55+cvs20050201-1) hoary; urgency=low
  
  * New svn snapshot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  1 Feb 2005 15:55:20 +0100

synaptic (0.55+cvs20050131-1) hoary; urgency=low

  * New svn snapshot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 31 Jan 2005 23:02:50 +0100

synaptic (0.55+cvs20050125-1) hoary; urgency=low

  * New svn snapshot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 25 Jan 2005 16:35:03 +0100

synaptic (0.55+cvs20050119-1) hoary; urgency=low

  * New svn snapshot

 -- Michael Vogt <mvo@debian.org>  Wed, 19 Jan 2005 22:47:37 +0100

synaptic (0.55+cvs20050107-2) hoary; urgency=low

  * added "restricted" to supported components (was there before, got
    droped somehow)

 -- Michael Vogt <mvo@debian.org>  Mon, 10 Jan 2005 10:35:41 +0100

synaptic (0.55+cvs20050107-1) hoary; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Fri,  7 Jan 2005 10:01:46 +0100

synaptic (0.55+cvs20041228-2) hoary; urgency=low

  * apt-0.6 breaks PackageFile.Component(). work around that problem

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Dec 2004 22:05:43 +0100

synaptic (0.55+cvs20041228-1) hoary; urgency=low

  * New cvs snapshot

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Dec 2004 11:28:11 +0100

synaptic (0.55+cvs20041213-1ubuntu1) hoary; urgency=low

  * corrected build-depends (>= 0.6.27)

 -- Michael Vogt <mvo@debian.org>  Mon, 13 Dec 2004 19:19:22 +0100

synaptic (0.55+cvs20041213-1) hoary; urgency=low

  * New cvs snapshot
  * build against current apt-0.6

 -- Michael Vogt <mvo@debian.org>  Mon, 13 Dec 2004 16:55:13 +0100

synaptic (0.55+cvs20041119-1ubuntu4) hoary; urgency=low

  * added "--update-at-startup" cmdline option (for upgrade-notifier and update-manager)

 -- Michael Vogt <mvo@debian.org>  Sun, 28 Nov 2004 13:52:33 +0100

synaptic (0.55+cvs20041119-1ubuntu3) hoary; urgency=low

  * added "sharutils" to build-depends :/

 -- Michael Vogt <mvo@debian.org>  Mon, 22 Nov 2004 14:15:02 +0100

synaptic (0.55+cvs20041119-1ubuntu2) hoary; urgency=low

  * fixed the location of the synaptic.desktop file

 -- Michael Vogt <mvo@debian.org>  Mon, 22 Nov 2004 11:24:24 +0100

synaptic (0.55+cvs20041119-1ubuntu1) hoary; urgency=low

  * added the ubuntu-patches again

 -- Michael Vogt <mvo@debian.org>  Fri, 19 Nov 2004 22:49:56 +0100

synaptic (0.55-4) unstable; urgency=low

  * fixed a spacing issue in the rgfetchdialog
  * added missing README.supported (closes: #279688)

 -- Michael Vogt <mvo@debian.org>  Thu,  4 Nov 2004 18:25:00 +0100

synaptic (0.55-3) unstable; urgency=low

  * added dialog_update_outdated.glade (fixes: #279573)

 -- Michael Vogt <mvo@debian.org>  Wed,  3 Nov 2004 23:00:33 +0100

synaptic (0.55-2) unstable; urgency=low

  * fix for a ugly free() error message on startup

 -- Michael Vogt <mvo@debian.org>  Tue,  2 Nov 2004 10:41:21 +0100

synaptic (0.55-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Tue,  2 Nov 2004 09:16:18 +0100

synaptic (0.53.4-6) unstable; urgency=medium

  * one-line fix for a problem when adding a new cdrom

 -- Michael Vogt <mvo@debian.org>  Tue, 19 Oct 2004 22:52:20 +0200

synaptic (0.53.4-5) unstable; urgency=medium

  * one-line fix for a problem on ppc

 -- Michael Vogt <mvo@debian.org>  Thu, 14 Oct 2004 13:31:55 +0200

synaptic (0.53.4-4) unstable; urgency=medium

  * fixed a problem that can cause libglade to enter a infinite
    loop and make synaptic unusable 

 -- Michael Vogt <mvo@debian.org>  Mon,  4 Oct 2004 13:46:32 +0200

synaptic (0.53.4-3) unstable; urgency=medium

  * rebuild. no changes. I uploaded a incomplete 0.53.4-2

 -- Michael Vogt <mvo@debian.org>  Sat, 25 Sep 2004 23:56:15 +0200

synaptic (0.53.4-2) unstable; urgency=medium

  * fixed a error in pl.po file
  * added the sl.po translation

 -- Michael Vogt <mvo@debian.org>  Sat, 25 Sep 2004 22:52:33 +0200

synaptic (0.53.4-1) unstable; urgency=medium

  * New upstream release
  * no code changes, only translation and documentation updates
  * urgency set to medium in hope to get it into sarge 
  
 -- Michael Vogt <mvo@debian.org>  Sat, 18 Sep 2004 00:15:59 +0200

synaptic (0.53.3-2) unstable; urgency=medium

  * changed order to initialize stuff to work around a gtk problem
    (closes: #270309)
  * urgency set to medium in hope to get it into sarge 

 -- Michael Vogt <mvo@debian.org>  Mon,  6 Sep 2004 22:01:19 +0200

synaptic (0.53.3-1) unstable; urgency=medium

  * New upstream release
  * minimal code change (fix a segfault) 
  * updated Danish translation (thanks to Morten Brix Pedersen)
  * synaptic.xpm updated to biger size (closes: #268293)
  * urgency set to medium in hope to get it into sarge 

 -- Michael Vogt <mvo@debian.org>  Fri, 27 Aug 2004 12:09:27 +0200

synaptic (0.53.2-1) unstable; urgency=medium

  * New upstream release (no code changes, only some build fixes and 
    and i18n updates)

 -- Michael Vogt <mvo@debian.org>  Thu, 26 Aug 2004 13:14:36 +0200

synaptic (0.53.1-2) unstable; urgency=medium

  * added pt_BR translation (thanks to Andre Luis Lopes)
    (closes: #266880)

 -- Michael Vogt <mvo@debian.org>  Fri, 20 Aug 2004 12:38:02 +0200

synaptic (0.53.1-1) unstable; urgency=medium

  * New upstream release, no changes only added spanish documentation
    (a _big_ thanks to Francisco Javier F. Serrador)

 -- Michael Vogt <mvo@debian.org>  Tue, 17 Aug 2004 13:12:30 +0200

synaptic (0.53-1) unstable; urgency=low

  * new upstream release

 -- Michael Vogt <mvo@debian.org>  Sat, 14 Aug 2004 20:57:29 +0200

synaptic (0.53-0.2) unstable; urgency=low

  * second testrelease for new upstream

 -- Michael Vogt <mvo@debian.org>  Mon,  2 Aug 2004 22:41:05 +0200

synaptic (0.53-0.1) unstable; urgency=medium

  * new upstream version

 -- Michael Vogt <mvo@debian.org>  Sun, 1 Aug 2004 01:29:30 +0200

synaptic (0.52-2) unstable; urgency=medium

  * changed su-to-root to /usr/sbin/su-to-root (closes: #262422)

 -- Michael Vogt <mvo@debian.org>  Sat, 31 Jul 2004 01:29:30 +0200

synaptic (0.52-1) unstable; urgency=low

  * new upstream release

 -- Michael Vogt <mvo@debian.org>  Mon,  5 Jul 2004 18:42:50 +0200

synaptic (0.52-0.5) unstable; urgency=low

  * another test-release

 -- Michael Vogt <mvo@debian.org>  Fri,  2 Jul 2004 00:02:29 +0200

synaptic (0.52-0.4) unstable; urgency=low

  * next test-release

 -- Michael Vogt <mvo@debian.org>  Tue, 29 Jun 2004 12:37:53 +0200

synaptic (0.52-0.3) unstable; urgency=low

  * third test-release

 -- Michael Vogt <mvo@debian.org>  Mon, 28 Jun 2004 12:30:37 +0200

synaptic (0.52-0.2) unstable; urgency=low

  * second test-release

 -- Michael Vogt <mvo@debian.org>  Sun, 27 Jun 2004 19:24:57 +0200

synaptic (0.52-0.1) unstable; urgency=low

  * first test-release

 -- Michael Vogt <mvo@debian.org>  Fri, 25 Jun 2004 17:48:18 +0200

synaptic (0.51-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Mon, 21 Jun 2004 23:34:00 +0200

synaptic (0.50-2) unstable; urgency=low

  * build without --with-pkg-hold

 -- Michael Vogt <mvo@debian.org>  Wed, 16 Jun 2004 17:17:53 +0200

synaptic (0.50-1) unstable; urgency=low

  * initial upload into debian/unstable

 -- Michael Vogt <mvo@debian.org>  Tue, 15 Jun 2004 22:53:38 +0200

synaptic (0.50-0.7) unstable; urgency=low

  * and a new one

 -- Michael Vogt <mvo@debian.org>  Thu, 10 Jun 2004 20:19:18 +0200

synaptic (0.50-0.6) unstable; urgency=low

  * more pre-releases

 -- Michael Vogt <mvo@debian.org>  Wed,  9 Jun 2004 23:17:59 +0200

synaptic (0.50-0.5) unstable; urgency=low

  * another testrelease

 -- Michael Vogt <mvo@debian.org>  Sat,  5 Jun 2004 20:49:44 +0200

synaptic (0.50-0.4) unstable; urgency=low

  * and the next testrelease

 -- Michael Vogt <mvo@debian.org>  Fri,  4 Jun 2004 00:01:53 +0200

synaptic (0.50-0.3) unstable; urgency=low

  * third testrelease

 -- Michael Vogt <mvo@debian.org>  Wed,  2 Jun 2004 14:49:00 +0200

synaptic (0.50-0.2) unstable; urgency=low

  * second testrelease

 -- Michael Vogt <mvo@debian.org>  Sun, 30 May 2004 15:00:53 +0200

synaptic (0.50-0.1) unstable; urgency=low

  * First testrelease

 -- Michael Vogt <mvo@debian.org>  Thu, 20 May 2004 18:07:24 +0200

synaptic (0.48.2-6) unstable; urgency=low

  * use su-to-root for the menu file
  * added local dtd to maunal

 -- Michael Vogt <mvo@debian.org>  Tue, 20 Apr 2004 21:44:06 +0200

synaptic (0.48.2-4) unstable; urgency=medium

  * fix for a LANG=non-C problem

 -- Michael Vogt <mvo@debian.org>  Mon, 19 Apr 2004 12:46:04 +0200

synaptic (0.48.2-3) unstable; urgency=low

  * archive of -2 was bad, rebuild

 -- Michael Vogt <mvo@debian.org>  Sat, 17 Apr 2004 08:55:35 +0200

synaptic (0.48.2-2) unstable; urgency=medium

  * updated french man-page (thanks to Julien Louis)
    (closes: #231585)
  * a workaround or a wired zvt terminal bug (I _hate_ libzvt)

 -- Michael Vogt <mvo@debian.org>  Mon, 12 Apr 2004 20:32:30 +0200

synaptic (0.48.2-1) unstable; urgency=medium

  * New upstream release
  * sudo-mozilla-eats bookmarks bug fixed (thanks to hugo vanwoerkom)
    (closes: #242053)
  * converted png to xpm for debian menu (closes: #237748)
  * fixed bad german translation (closes: #237758)
  * added updated frensh man-page (closes: #231585)
  
 -- Michael Vogt <mvo@debian.org>  Sun, 14 Mar 2004 13:33:04 +0100

synaptic (0.48.1-1) unstable; urgency=low

  * New upstream release
  * suggests changed to libgnome2-perl (for dpkg-reconfigure -f gnome) 
    (closes: #237549)
  * added suggestions for apt-watch

 -- Michael Vogt <mvo@debian.org>  Fri, 12 Mar 2004 08:58:56 +0100

synaptic (0.48-2) unstable; urgency=medium

  * rebuild against a correct apt 

 -- Michael Vogt <mvo@debian.org>  Thu, 11 Mar 2004 10:24:31 +0100

synaptic (0.48-1) unstable; urgency=low

  * New upstream release
  * purge and delete are different now (closes: #191822)
  * search dialog now closes when pressing the enter key (closes: #224532)
  * synaptic now longer hangs when closing the changes window (closes: 224731) 
  * broken sources.list are now longer accepted (closes: #187971)
  * some tag fixes (closes: #225891)
  * a typo fix for the description (closes: #219083)

 -- Michael Vogt <mvo@debian.org>  Sat,  3 Jan 2004 03:01:49 +0100

synaptic (0.47-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Thu, 20 Nov 2003 15:39:24 +0100

synaptic (0.46-2) unstable; urgency=low

  * added dependency to scrollkeeper (closes: #221157)

 -- Michael Vogt <mvo@debian.org>  Sun, 16 Nov 2003 23:44:04 +0100

synaptic (0.46-1) unstable; urgency=low

  * New upstream release
  * fixes a segfault when versionless packages used (closes: #219934)
  * terminal font can be selected by users now (closes: #217089)
  * pt_BT update (thanks to Leonardo Boiko) (closes: #218003)
  * advanced search is no ddtp friendly (closes: #218825)
  * synaptic desktop menu has moved (closes:  #219358)
  * gui font can be selected now (closes: #218147)
  
 -- Michael Vogt <mvo@debian.org>  Thu,  6 Nov 2003 12:09:09 +0100

synaptic (0.45-2) unstable; urgency=low

  * minor debian description fix (closes: #219083)
    (thanks Alfie)
  * update to for pt_BT (closes: #218003)
    (thanks Leonardo Boik)
  * searching in translated descriptions is possible now (closes: #218825)
    (thanks johnnybgate)

 -- Michael Vogt <mvo@debian.org>  Tue,  4 Nov 2003 12:30:47 +0100

synaptic (0.45-1) unstable; urgency=low

  * New upstream release
  * typo fixed (closes: #213095);
  * workaround for buggy libzvt focus handling (closes: #215280)
  * resizing of the terminal window no longer possible because of the
    buggy libzvt resize handling (closes: #215513)
  * correct spanish man-page included (closes: #215303)
  * typo in preferences window fixed (closes: #215312)
  * typo in pt_BR.po fixed (closes: #214959)

 -- Michael Vogt <mvo@debian.org>  Sun, 28 Sep 2003 14:07:29 +0200

synaptic (0.44-1) unstable; urgency=low

  * New upstream release
  * finally put translated man-pages to the correct location
    (closes: #166303, #176923, #207334)

 -- Michael Vogt <mvo@debian.org>  Mon,  1 Sep 2003 11:15:05 +0200

synaptic (0.43-2) unstable; urgency=low

  * mini-patch to update to 0.43.1

 -- Michael Vogt <mvo@debian.org>  Sat, 16 Aug 2003 21:26:36 +0200

synaptic (0.43-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Tue, 12 Aug 2003 00:18:41 +0200

synaptic (0.42-1) unstable; urgency=low

  * New upstream release
  * saves selections on "pin", "update", "proceed" (closes: #191090)
  * fixed a segfault (closes: #204809, #204864)
  * fixed a sorting problem (closes: #204755)
  
 -- Michael Vogt <mvo@debian.org>  Thu,  7 Aug 2003 01:23:54 +0200

synaptic (0.41-1) unstable; urgency=low

  * New upstream release
  * build new synaptic-debtags package as well
  * added scrollbar in information tab (closes: #189428)

 -- Michael Vogt <mvo@debian.org>  Sun, 27 Jul 2003 21:56:08 +0200

synaptic (0.40-1) unstable; urgency=low

  * New upstream release
  * depends on gksu now (this used to be recommends) (closes: #189435)
  * updated pt_br translation (thanks to Andre Luis Lopes <andrelop@ig.com.br>)
    (closes:  #189924)
  * synaptic now suggests libgnome-perl to allow debconf-reconfiguring using
    a nice frontend (closes: #189849)

 -- Michael Vogt <mvo@debian.org>  Sat, 12 Jul 2003 11:32:47 +0200

synaptic (0.39-2) unstable; urgency=low

  * added libgnome-perl to suggests. libgnome-perl is needed to get 
    gui dpkg-reconfigure support in synaptic (closes: #189849)

 -- Michael Vogt <mvo@debian.org>  Tue,  8 Jul 2003 18:17:15 +0200

synaptic (0.39-1) unstable; urgency=low

  * New upstream release
  * fixed location of the .desktop file (closes: #198423, #199080)
  

 -- Michael Vogt <mvo@debian.org>  Sat, 28 Jun 2003 21:08:50 +0200

synaptic (0.38-2) unstable; urgency=low

  * place desktop file in /usr/share/applications now (closes: #198423)

 -- Michael Vogt <mvo@debian.org>  Sun, 22 Jun 2003 22:58:42 +0200

synaptic (0.38-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Fri, 20 Jun 2003 20:22:47 +0200

synaptic (0.37-1) unstable; urgency=low

  * new upstream release
  * cache behaviour should work now (closes: #192766)
  * url in copyright file corrected (closes: #195320)
  * "hit" is displayed as 100% in download dialog (closes: #195284)

 -- Michael Vogt <mvo@debian.org>  Mon,  13 Jun 2003 23:30:12 +0200

synaptic (0.36-6) unstable; urgency=low

  * start making synaptic g++-3.3 clean
  * moved all "<assert.h>" to "<cassert>" (closes: 196716)

 -- Michael Vogt <mvo@debian.org>  Mon,  9 Jun 2003 23:30:12 +0200

synaptic (0.36-5) unstable; urgency=low

  * the menu file still used xsu, this is changed to gksu now (closes: #192593)
  * synaptic now uses g++-3.2 as apt now uses it as well (closes: #185118)
  * changed build-dep for libapt-pkg to libapt-pkg (>= 0.5.5)
  * segfault on startup was fixed in 0.36-2 (closes: #189385, #189596, #189423)
  * "download only mode" is working (closes: #191827)
  * location for the synaptic.desktop file is changed to 
    /usr/share/applications

 -- Michael Vogt <mvo@debian.org>  Tue, 13 May 2003 09:02:23 +0200

synaptic (0.36-4) unstable; urgency=low

  * droped build-depend for g++-2.95 (*oops*) (closes: #192475)
  * removed a single "cout" from the code 
    (don't know how this build on my machine) 

 -- Michael Vogt <mvo@debian.org>  Fri,  9 May 2003 10:21:20 +0200

synaptic (0.36-3) unstable; urgency=low

  * rebuild for apt 0.5.5

 -- Michael Vogt <mvo@debian.org>  Thu,  8 May 2003 11:21:50 +0200

synaptic (0.36-2) unstable; urgency=low

  * applied a patch to fix a segfault on startup when there are packages
    without section in a apt list (closes: ##189385, #189596, #189423)
    (thanks to all the bugreporters for helping me finding this bug)
  * debconf filter+button is added (closes: #182761)

 -- Michael Vogt <mvo@debian.org>  Sun, 20 Apr 2003 12:30:26 +0200

synaptic (0.36-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Sat, 29 Mar 2003 14:50:33 +0100

synaptic (0.35-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Tue, 25 Feb 2003 01:53:05 +0100

synaptic (0.32-2) unstable; urgency=low

  * recommends gksu now (closes: #178714)

 -- Michael Vogt <mvo@debian.org>  Wed, 29 Jan 2003 23:49:43 +0100

synaptic (0.32-1) unstable; urgency=low

  * New upstream release
  * closing FTBFS bug that was fixed in 0.31-3 (closes: #176529)
  * resizing of RGSummaryWindow works correct now (closes: #175445)

 -- Michael Vogt <mvo@debian.org>  Wed, 15 Jan 2003 15:22:00 +0100

synaptic (0.31-3) unstable; urgency=low

  * fixed build-depends for m68k

 -- Michael Vogt <mvo@debian.org>  Mon, 13 Jan 2003 16:45:44 +0100

synaptic (0.31-2) unstable; urgency=low

  * ups, xsu was in recommended list, it's suggested now

 -- Michael Vogt <mvo@debian.org>  Fri, 10 Jan 2003 22:35:16 +0100

synaptic (0.31-1) unstable; urgency=low

  * New upstream release
  * resize bugs fixed (closes: #175445)
  * description buffer increased (closes:  #174922)
  * locales problem fixed (closes: #175668)
  * easy way to filter for description added (closes: #175045)
  * added QUIT button (closes: #171822)

 -- Michael Vogt <mvo@debian.org>  Sat,  4 Jan 2003 21:36:50 +0100

synaptic (0.30-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Fri, 27 Dec 2002 01:48:54 +0100

synaptic (0.28-1) unstable; urgency=low

  * New upstream release
  * added menu file (closes: #170289)
  * added recommend to xsu

 -- Michael Vogt <mvo@debian.org>  Tue, 26 Nov 2002 01:17:14 +0100

synaptic (0.27-1) unstable; urgency=low

  * New upstream release
  * comiled with "--with-pkg-hold" (please report any problems with this
    option)

 -- Michael Vogt <mvo@debian.org>  Tue, 12 Nov 2002 15:19:34 +0100

synaptic (0.26-1) unstable; urgency=low

  * New upstream release
  * show details window has a better size now (closes: #165902)

 -- Michael Vogt <mvo@debian.org>  Wed,  6 Nov 2002 16:45:43 +0100

synaptic (0.25-2) unstable; urgency=low

  * g++ 3.0 fixes (closes: #163982)

 -- Michael Vogt <mvo@debian.org>  Thu, 10 Oct 2002 12:52:42 +0200

synaptic (0.25-1) unstable; urgency=low

  * New upstream release
  * no more messages on startup (closes: #123310)
  * problem with 8bit locales fixed (closes: #162901)
  * no quit button, but keyboard shortcut (closes: #150733)
  
 -- Michael Vogt <mvo@debian.org>  Wed,  9 Oct 2002 00:50:42 +0200

synaptic (0.24.1-1) unstable; urgency=low

  * New upstream release (bugfix release for 0.24, no new features)

 -- Michael Vogt <mvo@debian.org>  Fri, 27 Sep 2002 11:03:30 +0200

synaptic (0.24-1) unstable; urgency=low

  * New upstream release
  * already closed in last release (but a typo) (closes: #157160)

 -- Michael Vogt <mvo@debian.org>  Thu, 26 Sep 2002 16:39:49 +0200

synaptic (0.23-1) unstable; urgency=low

  * new upstream release
  * added scrollbar for "Dependencies of the available package"
    (closes: * #157160)

 -- Michael Vogt <mvo@debian.org>  Sun, 25 Aug 2002 13:16:59 +0200

synaptic (0.22-2) unstable; urgency=low

  * ups, I overlooked a g++-3.0 problem. fixed now
    (closes: #154299)

 -- Michael Vogt <mvo@debian.org>  Sun, 18 Aug 2002 12:09:59 +0200

synaptic (0.22-1) unstable; urgency=low

  * new upstream version
  * added libzvt-dev to build-depends
  * fixed g++-3.0 errors (closes: #154082)
  * added tab to show dependencies of the latest
    available version (closes: #153614)

 -- Michael Vogt <mvo@debian.org>  Wed, 24 Jul 2002 23:06:52 +0200

synaptic (0.21-2) unstable; urgency=low

  * fixed a potential segfault in rgfiltermanager.cc

 -- Michael Vogt <mvo@debian.org>  Fri, 19 Jul 2002 13:44:18 +0200

synaptic (0.21-1) unstable; urgency=low

  * new upstream version
  * better description parser for debian (closes:  #145893)

 -- Michael Vogt <mvo@debian.org>  Fri, 19 Jul 2002 13:20:18 +0200

synaptic (0.20-2) unstable; urgency=low

  * fixed a bug in rgfiltereditor.cc (gtk-version)
    (closes: #153505)

 -- Michael Vogt <mvo@debian.org>  Fri, 19 Jul 2002 01:58:13 +0200

synaptic (0.20-1) unstable; urgency=low

  * new upstream version (and new upstream maintainer)
  * no more error messages upon startup (closes: #123705)
  * double click cycle now implemented (closes: #123877)
  * synaptic segfault fixed (closes: #123705)
  * filters are saved now (closes: #150731,#146970)
  * added option to see new packages (closes: #150732)
  * added zvt as output terminal
  * some keybings for the Gtk+ version
  * two packages are generated from the source now: 
    synaptic (WINGs) and gsynaptic (gtk)
  
 -- Michael Vogt <mvo@debian.org>  Tue, 16 Jul 2002 15:02:32 +0200

synaptic (0.16-6) unstable; urgency=low

  * improved the description (closes: #133982)

 -- Michael Vogt <mvo@debian.org>  Thu,  4 Apr 2002 12:23:30 +0200

synaptic (0.16-5) unstable; urgency=low

  * applied patch from LaMont Jones <lamont@smallone.fc.hp.com>
    to make synaptic compile on hppa (g++-3.0)
    (closes: #126771)

 -- Michael Vogt <mvo@debian.org>  Fri, 28 Dec 2001 23:16:42 +0100

synaptic (0.16-4) unstable; urgency=low

  * corrected some spelling mistakes (closes: #125628)

 -- Michael Vogt <mvo@debian.org>  Tue, 18 Dec 2001 06:13:08 +0100

synaptic (0.16-3) unstable; urgency=low

  * added build-depend to hermes1-dev (closes: #121378)

 -- Michael Vogt <mvo@debian.org>  Tue, 27 Nov 2001 12:28:09 +0100

synaptic (0.16-2) unstable; urgency=low

  * removed "conflict: apt-listchanges", because apt-listchanges can
    be configured in a way that works with synaptic
    (thanks to Paul Seelig)

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Nov 2001 23:42:32 +0100

synaptic (0.16-1) unstable; urgency=low

  * Initial Release (closes: #115167)

 -- Michael Vogt <mvo@debian.org>  Tue, 13 Nov 2001 23:17:20 +0100

